2018-01-07  rocky <rocky@gnu.org>

	* NEWS, admin-tools/how-to-make-a-release.md, configure.ac,
	docs/doxygen/Doxyfile: Get ready for release 2.0.1

2018-01-07  rocky <rocky@gnu.org>

	* .gitignore, admin-tools/how-to-make-a-release.md, configure.ac: 
	Out of release 2.0.0

2018-01-07  rocky <rocky@gnu.org>

	* THANKS: Add Adam Sampson

2018-01-07  rocky <rocky@gnu.org>

	* docs/Makefile.am: Fix up doc building

2018-01-07  rocky <rocky@gnu.org>

	* NEWS, admin-tools/how-to-make-a-release.md,
	admin-tools/how-to-make-a-release.txt, configure.ac,
	docs/Makefile.am, docs/doxygen/Doxyfile: Get ready for release 2.0.0

2018-01-05  rocky <rocky@gnu.org>

	* Makefile.am, NEWS, configure.ac, docs/doxygen/Doxyfile: 
	Administrivia in advance of release

2018-01-03  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_gen.c,
	lib/mpeg.c: Back off last change a little bit

2018-01-03  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_gen.c,
	lib/info.c, lib/mpeg.c: Remove more memory leaks

2018-01-03  rocky <rocky@gnu.org>

	* configure.ac, frontends/cli/vcd-info.c: More C warnings. Fix one
	more lint

2018-01-03  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, lib/files.c, lib/info.c, lib/vcd.c,
	test/check_svcd1.sh: Remove some memory leaks and C lint

2018-01-02  R. Bernstein <rocky@users.noreply.github.com>

	* : Merge pull request #1 from atsampson/master Assorted build system fixes

2018-01-02  Adam Sampson <ats@offog.org>

	* configure.ac: Wrap code for configure tests with AC_LANG_SOURCE.  This gets rid of a bunch of autoconf warnings along the lines of:
	warning: AC_LANG_CONFTEST: no AC_LANG_SOURCE call detected in body (There are also several uses of AC_TRY_COMPILE, which is technically
	obsolete but still supported; that don't need wrapping because it
	already uses AC_LANG_PROGRAM.)

2018-01-02  Adam Sampson <ats@offog.org>

	* configure.ac: Don't include "git" in LIBVCD_VERSION_NUM.  Otherwise this produces this kind of error when building other
	applications: xineplug_inp_vcd.c:170:5: error: invalid suffix "git"
	on integer constant

2018-01-02  Adam Sampson <ats@offog.org>

	* frontends/xml/Makefile.am: Fix broken pattern rule for man pages.  The one in frontends/cli/Makefile.am is correct, so this just
	updates the frontends/xml rule to match.

2018-01-02  Adam Sampson <ats@offog.org>

	* configure.ac, test/Makefile.am: Use PKG_CHECK_MODULES to find popt
	and libxml2.  Current versions of popt don't come with an aclocal file, and
	vcdimager already uses pkg-config to find other libraries it needs.

2018-01-01  rocky <rocky@gnu.org>

	* configure.ac: Automess tests, yet again

2018-01-01  rocky <rocky@gnu.org>

	* configure.ac: For now, disable the compiler bitfield tests...  until we figure out automess has messed things up more. And it may
	be that C compilers just do the right thing nowadays.

2018-01-01  rocky <rocky@gnu.org>

	* Makefile.am, configure.ac: More build administrivia

2018-01-01  rocky <rocky@gnu.org>

	* .gitignore, configure.ac, docs/Makefile.in,
	frontends/Makefile.in, frontends/xml/Makefile.in,
	include/Makefile.in, include/libvcd/Makefile.in, m4/.gitignore,
	test/Makefile.in: More administrivia

2018-01-01  rocky <rocky@gnu.org>

	* Makefile.in, docs/.gitignore, docs/vcd-info.texi,
	docs/vcdxrip.texi, example/Makefile.in, frontends/.cvsignore,
	frontends/cli/Makefile.am, frontends/cli/Makefile.in,
	frontends/gnome/.cvsignore, frontends/gnome/src/.cvsignore,
	frontends/xml/Makefile.am, frontends/xml/Makefile.in,
	include/libvcd/Makefile.in, lib/Makefile.in, test/Makefile.in: Build
	admnistrivia Remove .cvsignore, add to .gitignore. Remove Makefile.in

2018-01-01  rocky <rocky@gnu.org>

	* .travis.yml: Travis: Correct untar location

2017-12-31  rocky <rocky@gnu.org>

	* .travis.yml: Travis needs texinfo

2017-12-31  rocky <rocky@gnu.org>

	* TODO: Bump wishlist

2017-12-31  rocky <rocky@gnu.org>

	* .travis.yml, BUGS, TODO: More Administrivia

2017-12-31  rocky <rocky@gnu.org>

	* .travis.yml: Try travis (it will be broken for a while)

2017-12-31  rocky <rocky@gnu.org>

	* AUTHORS, Makefile.in, docs/cvd-subtitles.pod,
	docs/svcd-ogt-subtitles.pod, example/Makefile.am,
	example/Makefile.in, example/info1.c, example/info2.cpp,
	include/libvcd/files_private.h, include/libvcd/inf.h,
	include/libvcd/info.h, include/libvcd/logging.h,
	lib/data_structures.c, lib/inf.c, lib/info.c, lib/info_private.c,
	lib/info_private.h, lib/vcd.c, test/testimage.c, test/testvcd.c,
	vcdimager.spec.in: rocky@panix.com->rocky@gnu.org

2017-12-31  rocky <rocky@gnu.org>

	* README, frontends/xml/vcd_xml_common.c,
	frontends/xml/vcd_xml_dtd.c, frontends/xml/vcd_xml_master.c: More
	administrivia ...  Remove rcsid and add README to make distcheck happy

2017-12-31  rocky <rocky@gnu.org>

	* THANKS, example/.gitignore, frontends/xml/.gitignore,
	lib/.gitignore: More administrivia

2017-12-31  rocky <rocky@gnu.org>

	* .gitignore, amiga/.cvsignore, amiga/Makefile.am,
	amiga/libiberty.h, amiga/rint.c, amiga/v_snprintf.c,
	amiga/xmalloc.c, docs/.gitignore, docs/doxygen/Doxyfile,
	frontends/cli/.gitignore, frontends/xml/.gitignore, test/.gitignore: 
	More administriva; fully remove amiga

2017-12-31  rocky <rocky@gnu.org>

	* .gitignore, Makefile.am, Makefile.in, configure.ac,
	docs/Makefile.in, example/.gitignore, example/Makefile.in,
	frontends/Makefile.in, frontends/cli/Makefile.in,
	frontends/cli/vcdimager.c, frontends/xml/Makefile.in,
	include/Makefile.in, include/libvcd/.gitignore,
	include/libvcd/Makefile.in, lib/Makefile.am, lib/Makefile.in,
	test/.gitignore, test/Makefile.am, test/Makefile.in: Automake
	workaround + git administriva Until we get automake working properly we'll check in Makefile.in Also amiga is on its way out....

2017-12-31  rocky <rocky@gnu.org>

	* .gitignore, README => README.md, how-to-make-a-release.txt =>
	admin-tools/how-to-make-a-release.txt, cvs2cl_header: Administrivia:
	handle README

2017-12-31  rocky <rocky@gnu.org>

	* configure.ac, docs/Makefile.am, docs/vcd-info.texi,
	frontends/cli/Makefile.am, frontends/cli/vcd-info.c,
	frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_minfo.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, include/libvcd/info.h,
	lib/data_structures.c, lib/data_structures.h, lib/dict.h,
	lib/directory.c, lib/files.c, lib/image.c, lib/image_bincue.c,
	lib/image_cdrdao.c, lib/image_nrg.c, lib/inf.c, lib/info.c,
	lib/info_private.c, lib/logging.c, lib/mpeg.c, lib/mpeg.h,
	lib/mpeg_stream.c, lib/pbc.c, lib/salloc.c, lib/sector.c,
	lib/stream.c, lib/stream_stdio.c, lib/util.c, lib/vcd.c,
	test/vcd20_nrg3.right, test/vcd20_test3.right: Make this libcdio
	2.2.0 compatable

2012-03-13  rocky <rocky@gnu.org>

	* test/check_common_fn.in, test/check_nrg.sh, test/check_svcd1.sh,
	test/check_vcd11.sh, test/check_vcd20.sh: Tolerate both kinds of
	checksums, libcdio 0.83 and before/after in tests.

2011-11-27  rocky <rocky@gnu.org>

	* configure.ac, frontends/cli/cdxa2mpeg.c,
	frontends/cli/vcd-info.c, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_common.c, how-to-make-a-release.txt,
	include/libvcd/info.h, include/libvcd/types.h, lib/files.c,
	lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	lib/image_nrg.c, lib/inf.c, lib/info_private.c, lib/info_private.h,
	lib/pbc.c, lib/vcd.c, lib/vcd_read.h, test/check_nrg.sh,
	test/check_sizeof.c, test/check_svcd1.sh, test/check_vcd11.sh,
	test/check_vcd20.sh: Revise for current libcdio sources (0.83 and
	0.84git).

2011-03-17  rocky <rocky@gnu.org>

	* docs/doxygen/Doxyfile.in: Regenrate for current conventions.

2011-03-17  rocky <rocky@gnu.org>

	* NEWS: What's changed.

2011-03-17  rocky <rocky@gnu.org>

	* configure.ac, cvs2cl_usermap: Get ready for release. configure.ac:
	remove the warnings with the "expirimental vcdimager version 0.7
	series - the project's almost dead! cvs2cl_usermap: update my email
	address.

2011-03-17  rocky <rocky@gnu.org>

	* configure.ac: Ading `AC_CONFIG_MACRO_DIR([m4])' to configure.ac
	considered, and rejected.

2011-03-17  rocky <rocky@gnu.org>

	* autogen.sh, configure.ac, frontends/cli/vcd-info.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_rip.c,
	lib/sector.c, lib/vcd.c: Guard against various stncat buffer
	overflows. Thanks to Juergen Weigert.  Correct copyright and GPL
	version indication on some Reed-Solomon encoding code.

2011-03-17  rocky <rocky@gnu.org>

	* lib/sector.c: Update copyright information. This file is GPL v2
	not v2+.

2006-03-08  rocky <rocky@gnu.org>

	* NEWS, configure.ac, frontends/cli/vcd-info.c,
	frontends/xml/vcd_xml_rip.c, lib/image_nrg.c, test/testimage.c: 
	cdio_stat_size -> cdio_get_disc_last_lsn

2006-02-07  rocky <rocky@gnu.org>

	* docs/cvd-subtitles.pod, docs/svcd-ogt-subtitles.pod: Get Julio's
	name right.  Some minor editing.

2006-01-06  rocky <rocky@gnu.org>

	* lib/info_private.c: Patch from Sergey Svishchev which fixes an
	infinite loop an memory exhaustion for VCD 2.0 discs. See SR 105012
	https://savannah.gnu.org/support/?func=detailitem&item_id=105012

2005-08-03  rocky <rocky@gnu.org>

	* lib/vcd_read.c: Reduce level of severity on read_info from error
	to warn so caller can catch and decide what to do.  Make test/vcdtest.c fail more gracefully when say a DVD (and not a
	VCD) is loaded.

2005-08-03  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Small elaborations to info doc.

2005-08-03  rocky <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Add
	vcdinfo_get_track_last_lsn() which is like
	cdinfo_get_track_last_lsn() but adjusts for 0-origin or non-MPEG ISO
	9660 track.

2005-07-21  rocky <rocky@gnu.org>

	* how-to-make-a-release.txt: Yet another step.

2005-07-20  rocky <rocky@gnu.org>

	* how-to-make-a-release.txt: Document the tortured process to make a
	release.

2005-07-17  rocky <rocky@gnu.org>

	* example/info2.cpp: C++ version of info1.c

2005-07-16  rocky <rocky@gnu.org>

	* include/libvcd/version.h.in: Small typo

2005-07-16  rocky <rocky@gnu.org>

	* configure.ac, docs/Makefile.am, example/Makefile.am,
	include/libvcd/inf.h, include/libvcd/info.h,
	include/libvcd/logging.h, include/libvcd/sector.h,
	include/libvcd/types.h, lib/info.c: include/libvcd/inf*.h: Changes
	to allow C++ compilations. Add more doxygen comments.  lib/info.c: prototype change to tighten up types (desired by C++) example/*: Add C++ use of libvcdinfo configure.ac: Now in 0.7.24cvs

2005-07-11  rocky <rocky@gnu.org>

	* configure.ac: One more variable needs adjusting.

2005-07-11  rocky <rocky@gnu.org>

	* NEWS, configure.ac: Get ready for 0.7.23 release

2005-07-10  rocky <rocky@gnu.org>

	* NEWS: [no log message]

2005-07-10  rocky <rocky@gnu.org>

	* lib/Makefile.am: We've added a new routine
	vcdinfo_get_area_selection() and vcdinfo_get_set_resolution() By 3: (1,1,1)->(1,2,1) By 4: (1,2,1)->(2,0,1) By 5: (2,0,1)->(2,0,2)

2005-07-10  rocky <rocky@gnu.org>

	* lib/vcd.c: Remove some gcc 4 warnings of potential uninitialized
	variables.  add p_ prefixes in front of pointer variables.

2005-07-07  rocky <rocky@gnu.org>

	* NEWS, frontends/xml/vcd_xml_dump.c: Remove gcc 4 warnings

2005-06-25  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_parse.c: Remove format warnings on windows.

2005-06-25  rocky <rocky@gnu.org>

	* lib/info.c: Remove format warning on win32.

2005-06-25  rocky <rocky@gnu.org>

	* NEWS, lib/Makefile.am: Patch to make --disable-static
	--enable-shared work with --versioned-libs

2005-06-20  rocky <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Add
	vcdinfo_get_seg_resolution(): to get x-y resolution for a given
	segment.  It is useful for example in media-player hot-spot
	processing.

2005-06-19  rocky <rocky@gnu.org>

	* NEWS, include/libvcd/info.h, lib/info.c: Need to add max_x, max_y
	to vcdinfo_get_area. Add hvr's comments about (0,0)-(255,255) coordinate system.

2005-06-18  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: XML didn't seem to mention area coordinates.
	Make more explicit in documentation hvr's latest clarification of
	the area coordinate system.

2005-06-18  rocky <rocky@gnu.org>

	* NEWS, lib/files.c, lib/pbc.c, lib/pbc.h: Small stylistic changes.

2005-06-18  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_parse.c: Check that selection area hot-spot
	values don't exceed 255. Some small stylistic changes.

2005-06-14  rocky <rocky@gnu.org>

	* NEWS, include/libvcd/info.h, lib/info.c: Add libvcdinfo
	vcdinfo_get_area_selection() a routine get the selection number
	represented by an area for a specified a point location.

2005-06-14  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Make option processing and variable
	names more like vcd-info. Perhaps some slight code cleanups.

2005-06-10  rocky <rocky@gnu.org>

	* test/testvcd.c: Remove small valgrind-caught memory leak.

2005-06-09  rocky <rocky@gnu.org>

	* lib/vcd.c, lib/vcd_read.c: vcd_read.c: strlen and strncmp turned
	into memcmp and sizeof for better error tolerance.  *.c: some
	obj->p_obj. Use some ISO9660 #defines for various sizes.

2005-06-09  rocky <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	lib/image_nrg.c, lib/image_sink.h, lib/obj.h, lib/vcd.c, lib/vcd.h: 
	VcdImageSink -> VcdImageSink_t and add p_ prefix various places.
	Some copyright dates updated.

2005-06-08  rocky <rocky@gnu.org>

	* frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	include/libvcd/info.h: VcdDataSource -> VcdDataSource_t

2005-06-07  rocky <rocky@gnu.org>

	* lib/mpeg_stream.c, lib/mpeg_stream.h, lib/obj.h, lib/stream.c,
	lib/stream.h, lib/stream_stdio.c, lib/stream_stdio.h, lib/vcd.c,
	lib/vcd.h: VcdDataSource -> VcdDataSource_t vcd.c: Calculate strncat
	size a little better

2005-06-07  rocky <rocky@gnu.org>

	* lib/info.c: Used wrong limit. Thanks to SuSE folks Marcus Meissner
	via Stanislav Brabec.

2005-05-16  rocky <rocky@gnu.org>

	* docs/glossary.texi: Add definition for Entry Point.

2005-05-16  rocky <rocky@gnu.org>

	* configure.ac, docs/doxygen/.cvsignore, docs/doxygen/Doxyfile.in,
	docs/doxygen/run_doxygen, include/libvcd/inf.h,
	include/libvcd/info.h: Create doxygen documentation.  *.h: fix
	doxygen complaints.

2005-05-16  rocky <rocky@gnu.org>

	* test/testvcd.c: Small bug in setting return code when vcd-info
	fails but vcdxrip doesn't.

2005-05-16  rocky <rocky@gnu.org>

	* configure.ac, test/Makefile.am, test/testvcd.c: configure: In
	0.7.23cvs now.  Add a test vcd-info and vcdxrip using a real CD.

2005-05-14  rocky <rocky@gnu.org>

	* NEWS: Forgot one more thing. Add some release dates back.

2005-05-14  rocky <rocky@gnu.org>

	* configure.ac: Get ready for 0.7.22 release.

2005-05-10  rocky <rocky@gnu.org>

	* lib/files.c: strncmp -> memcmp strcpy -> memcpy where appropriate

2005-05-08  rocky <rocky@gnu.org>

	* frontends/xml/vcdxml.h: GCC 2.95 decl before statement thing.

2005-05-08  rocky <rocky@gnu.org>

	* lib/info.c: gcc < 3.0 compilation fix.

2005-05-08  rocky <rocky@gnu.org>

	* test/mpegscan.c: Remove cygwin warning. Some variable renamings.

2005-05-08  rocky <rocky@gnu.org>

	* configure.ac, frontends/cli/vcd-info.c,
	include/libvcd/files_private.h, lib/files.c: file_private.h/files.c:
	OSX link problem with const arrays - remove configure.ac libcdio
	0.72 works (had been removed due to lack of testing) vcd-info.c:
	error message typo.

2005-05-08  rocky <rocky@gnu.org>

	* NEWS: What's up.

2005-05-08  rocky <rocky@gnu.org>

	* configure.ac, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	include/libvcd/files.h, include/libvcd/types.h, lib/Makefile.am,
	lib/dict.h, lib/files.c, lib/mpeg_stream.c, lib/mpeg_stream.h,
	lib/obj.h, lib/pbc.c, lib/pbc.h, lib/vcd.c, lib/vcd.h,
	test/mpegscan.c, test/mpegscan2.c: More type _t prefixes added. Some
	valgrind memory errors/leaks reduced.

2005-05-07  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_dump.h, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_parse.h,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	lib/mpeg_stream.c, lib/stream.c, lib/stream.h, lib/vcd.c: Work on
	reducing memory leaks. Addition and use of some _t types.  Some
	small stylistic changes.

2005-05-07  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Small formatting changes.

2005-05-07  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: remove another memory leak.

2005-05-07  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c,
	include/libvcd/files_private.h, lib/files.c, lib/info.c, lib/pbc.c,
	test/check_bitfield.c, test/check_sizeof.c: Add _t suffix to types
	in include/libvcd/file_private.h lib/info.c: also remove some
	valgrind-caught memory leaks or error opens

2005-05-07  rocky <rocky@gnu.org>

	* lib/files.c: Think this length-getting way is just a little better
	(although both do the same thing).

2005-05-07  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: vcd-info *filename* does does the same
	thing as vcd-info -i *filename*

2005-05-07  rocky <rocky@gnu.org>

	* include/libvcd/files_private.h, lib/files.c: files.c: in strncpy's
	were were copying the terminating NULL byte of constant strings into
	an area that didn't have this and thus writing outside of the given
	field (and clobbering a version number).  Thanks to Stanislav Brabec for pointing out the error.  file_private.h: revise a little using sizeof() add some doxygen
	comments and add some small comment changes.

2005-04-30  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Not sure how this compile errors got
	in - now fixed anyway.

2005-04-29  rocky <rocky@gnu.org>

	* lib/pbc.c, lib/pbc.h: Fill in missing pbc_destroy.

2005-04-29  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h: Significantly reduce memory leaks. What
	remains seems to be allocated from libxml2. (It's possible we're
	still doing something wrong in how we call this.)

2005-04-29  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Patch add option "notrack" to vcdxrip
	to skip ripping of a specific track From tong in
	https://savannah.gnu.org/patch/?func=detailitem&item_id=3765 I've experienced many VCDs that have L-EC errors when imaging using
	cdrdao. e.g., Copying data track 1 (MODE2_RAW): start 00:00:00, length 01:14:00 to
	"bad-track.bin"...  WARNING: Found L-EC error at sector 2231 -
	ignored.  [...] This L-EC error will cause my cdrdao to run much longer. The
	execution time will normally be prolonged to 12~30minutes, comparing
	to normal less than 3min execution time. One CD took (horrifily) 15
	hours to image.

2005-04-29  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Remove valgrind-caught memory leaks.

2005-04-29  rocky <rocky@gnu.org>

	* example/info1.c, include/libvcd/info.h, lib/info.c: info1.c:
	remove valgrind caught memory leaks.  info*.{c,h} remove const's on
	return types as this is what we get from libcdio (now).

2005-04-28  rocky <rocky@gnu.org>

	* include/libvcd/info.h: Follow vlc variable name conventions
	(p_..., i_..) Turn some comments into Doxygen.

2005-04-28  rocky <rocky@gnu.org>

	* Makefile.am, configure.ac, example/.cvsignore,
	example/Makefile.am, example/info1.c, lib/info.c,
	lib/info_private.h, lib/vcd_read.h: Add example directory and
	example program of using libvcdinfo vcd_read.h: CdIo -> CdIo_t

2005-04-09  rocky <rocky@gnu.org>

	* lib/info.c: More valgrind-caught memory leaks.

2005-04-09  rocky <rocky@gnu.org>

	* lib/info.c: Remove a valgrind-caught error: Source and destination
	overlap in strncpy

2005-04-08  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c, lib/info.c: 
	CdIo -> CdIo_t

2005-02-23  rocky <rocky@gnu.org>

	* docs/svcd-ogt-subtitles.pod: Small typo.

2005-02-23  rocky <rocky@gnu.org>

	* configure.ac: Change to facilitate getting bit ordering when
	cross-compiling. Patch from Frantisek Dvorak.

2005-02-13  rocky <rocky@gnu.org>

	* docs/vcd-info.texi: Small changes.

2005-02-13  rocky <rocky@gnu.org>

	* docs/cvd-subtitles.pod, docs/svcd-ogt-subtitles.pod: Fix up URL
	links and correct CVD title.

2005-02-13  rocky <rocky@gnu.org>

	* include/libvcd/info.h, lib/info.c: Remove a msf/lba conversion
	routine that's in libcdio. More small variable renamings.

2005-02-13  rocky <rocky@gnu.org>

	* lib/info.c: More small variable-name changes.

2005-02-13  rocky <rocky@gnu.org>

	* lib/info.c: As Herbert Valerio Riedel correctly points out   free is a no-op on a NULL address   Bug in vcdinfo_get_track_size() - fixed obj->p_obj

2005-02-13  rocky <rocky@gnu.org>

	* docs/Makefile.am, docs/{cvd-subtitles.txt => cvd-subtitles.pod}: 
	Turn CVD into perlpod and allow txt/html from that.

2005-02-13  rocky <rocky@gnu.org>

	* docs/Makefile.am, docs/svcd-ogt-subtitles.pod,
	docs/svcd-ogt-subtitles.txt: Turn OGT info into perlpod
	documentation and derive HTML and TXT from that.

2005-02-11  rocky <rocky@gnu.org>

	* docs/vcd-info.texi, docs/vcdxrip.texi: More small documentation
	update. Note cdrdao, libcdio, spelling corrections.

2005-02-11  rocky <rocky@gnu.org>

	* autogen.sh: Wrong directory - is docs, not doc. Thanks yet again
	to Steve Schultz.

2005-02-09  rocky <rocky@gnu.org>

	* docs/vcd-info.texi: Note --toc for cdrdao. More formatting
	changes.

2005-02-09  rocky <rocky@gnu.org>

	* docs/vcd-info.texi: Another small change.

2005-02-09  rocky <rocky@gnu.org>

	* docs/vcd-info.texi: Some small changes.

2005-02-09  rocky <rocky@gnu.org>

	* lib/data_structures.c, lib/data_structures.h, lib/directory.c,
	lib/directory.h, lib/obj.h, test/vcd20_nrg3.right: Suffix _t to end
	of types prefix pointers with p_ or pp_.

2005-02-09  rocky <rocky@gnu.org>

	* docs/version-vcd-info.texi, docs/version-vcdxrip.texi: Remove
	these derived files again. They're now generated in autogen.sh

2005-02-09  rocky <rocky@gnu.org>

	* configure.ac: We're in 0.7.22cvs territory now.

2005-02-09  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c: A slightly more detailed error
	message.

2005-02-06  rocky <rocky@gnu.org>

	* autogen.sh, docs/.cvsignore, docs/version.texi: Remove
	version.texi yet again. I think autogen.sh is now set up to cause
	this to get recreated.

2005-02-03  rocky <rocky@gnu.org>

	* docs/.cvsignore, docs/version-vcd-info.texi,
	docs/version-vcdxrip.texi: Even though this file is automatically
	generated, CVS for the automake project seems to have this checked
	into CVS presumably to handle the problem of a missing version.texi
	for on initial checkout/bootstrap.  Seems odd, but I'm assuming automake developers know what they are
	doing.  (On the other hand, given the quantity of hassles using automake, I
	could be very very wrong.)

2005-02-02  rocky <rocky@gnu.org>

	* configure.ac, docs/version.texi, frontends/cli/cdxa2mpeg.c,
	frontends/cli/vcd-info.c, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, lib/data_structures.c,
	lib/data_structures.h, lib/dict.h, lib/directory.c, lib/files.c,
	lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	lib/image_nrg.c, lib/info.c, lib/info_private.c, lib/mpeg.c,
	lib/mpeg_stream.c, lib/obj.h, lib/pbc.c, lib/pbc.h, lib/salloc.c,
	lib/stream.c, lib/stream_stdio.c, lib/util.c, lib/util.h,
	lib/vcd.c, lib/vcd_read.c, test/mpegscan.c, test/testimage.c: Change
	an uint32_t to an lsn_t, Add _t to various types. Use cdio routines
	from util.h and remove the local copy. Update copyright.

2004-12-22  rocky <rocky@gnu.org>

	* lib/info.c: Typo in vcdinfo_get_seg_lba which causes an infinite
	loop. Looks like no-one has used this routine one before.

2004-12-08  rocky <rocky@gnu.org>

	* configure.ac: Release time.

2004-12-03  rocky <rocky@gnu.org>

	* lib/Makefile.am: From Nicolas Boullis: Using the rules given in vcdimagers lib/Makefile.am, we get: (0,1,0) -rule3-> (0,2,0) -rule4-> (1,0,0) -rule5-> (1,0,1) (rule 6
	does not apply if no interface was changed/removed)

2004-12-02  rocky <rocky@gnu.org>

	* NEWS: [no log message]

2004-12-02  rocky <rocky@gnu.org>

	* lib/Makefile.am: Ooops, API interfaces have been added, so
	increment CURRENT and set REVISION to 0.

2004-12-02  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_common.c: 

	http://xmlsoft.org/html/libxml-encoding.html#xmlCharEncodingOutputFunchas this to say about the the xmlCharEncodingOutputFunc return
	value:   the number of bytes written, -1 if lack of space, or -2 if the   transcoding failed. The value of @inlen after return is the number   of octets consumed if the return value is positive, else   unpredictiable. The value of @outlen after return is the number of   octets produced.  Previously I guess 0 was returned (or I always used in an
	environment were that was so.

2004-12-01  rocky <rocky@gnu.org>

	* lib/Makefile.am: Bump revision in preparation for the next
	release.

2004-12-01  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/xml/vcd_xml_rip.c: Add some
	casts to quell a type-mismatch warning.

2004-12-01  rocky <rocky@gnu.org>

	* lib/Makefile.am: Remove files from distribution that now are part
	of libcdio (and will later probably come from glib).

2004-11-21  rocky <rocky@gnu.org>

	* NEWS: Reorder items a little.

2004-11-21  rocky <rocky@gnu.org>

	* test/Makefile.am: Solaris create core files not core.$$. Change to
	make "make distcheck" work on Solaris.

2004-11-19  rocky <rocky@gnu.org>

	* docs/version.texi, frontends/cli/vcd-info.c,
	frontends/xml/vcd_xml_rip.c, lib/files.c, lib/inf.c, lib/info.c: 
	lib/*: to_bcd8, from_bcd8 -> cdio_to_bcd8, cdio_from_bcdi.
	vcd_xml_rip.c, vcd-info.c: add a "--toc-file" option.

2004-11-15  rocky <rocky@gnu.org>

	* test/Makefile.am: See previous commit message.

2004-11-15  rocky <rocky@gnu.org>

	* test/Makefile.am: Not sure why, but mpegscan, mpegscan2 and
	testassert now seem to need libiso9660 flags. Something may be
	wrong...

2004-11-12  rocky <rocky@gnu.org>

	* lib/Makefile.am: Guidance on library versioning from Nicholas
	Boullis.

2004-10-25  rocky <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcd-info.c,
	frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_rip.c, include/libvcd/info.h, lib/bytesex.h,
	lib/bytesex_asm.h, lib/directory.c, lib/files.c,
	lib/image_bincue.c, lib/image_cdrdao.c, lib/image_nrg.c, lib/inf.c,
	lib/info.c, lib/info_private.c, lib/mpeg_stream.c, lib/pbc.c,
	lib/sector.c, lib/util.c, test/check_vcdimager_fn,
	test/check_vcdxbuild_fn, test/mpegscan2.c: Changes in libcdio API
	hopefully to make things cleaner.  bytesex*: now use libcdio
	routines rather than duplicate them here.  test/check_vcd*_fn: show
	command string that failed; helps debugging.

2004-10-22  rocky <rocky@gnu.org>

	* lib/bytesex.h: Not sure why logging was included. Remove it.

2004-10-10  rocky <rocky@gnu.org>

	* NEWS: [no log message]

2004-10-10  rocky <rocky@gnu.org>

	* configure.ac: Now need libcdio 0.71 or greater.

2004-10-10  rocky <rocky@gnu.org>

	* NEWS, docs/version.texi, frontends/cli/vcd-info.c,
	frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, include/libvcd/info.h,
	lib/data_structures.c, lib/data_structures.h, lib/dict.h,
	lib/files.c, lib/image.c, lib/image_bincue.c, lib/image_cdrdao.c,
	lib/image_nrg.c, lib/image_sink.h, lib/info.c, lib/info_private.c,
	lib/info_private.h, lib/mpeg.h, lib/mpeg_stream.c, lib/obj.h,
	lib/pbc.c, lib/pbc.h, lib/vcd.c, test/mpegscan.c: use generic list
	things from libcdio. Eventually everything will use glib. But this
	moves in the right direction by consolidating code a little.

2004-09-11  rocky <rocky@gnu.org>

	* lib/info.c: Switch to using cdio_get_devices_with_cap_ret.

2004-09-05  rocky <rocky@gnu.org>

	* configure.ac: Works on Darwin 6 and Darwin 7.

2004-08-15  rocky <rocky@gnu.org>

	* docs/vcd-info.texi: Clarify application id.

2004-08-15  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Small PVD info change.

2004-08-15  rocky <rocky@gnu.org>

	* frontends/xml/Makefile.am: Patch from Steven M. Schultz:  Tinkering around on a Fedora Core3-Test1 system tonight I ran into  gotcha with the frontend/xml of vcdimager (not sure why it hasn't  come up before).   Basically XML_CFLAGS is mentioned twice but XML_CPPFLAGS is not
	 used at all and it appears that libxml2 2.6.11 puts the necessary
	 -I flag in XML_CPPFLAGS.

2004-07-01  rocky <rocky@gnu.org>

	* vcdimager.spec.in: Gabriel L. Somlo says there's a problem when
	building not as root.  Manfred Tremmel says it's okay to remove
	this.

2004-06-19  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, include/libvcd/inf.h,
	include/libvcd/info.h, lib/inf.c, lib/info.c: Use libcdio
	read_mode2_pvd.

2004-06-19  rocky <rocky@gnu.org>

	* NEWS: [no log message]

2004-06-11  rocky <rocky@gnu.org>

	* lib/image_nrg.c, lib/info.c, lib/pbc.c: Turn some magic numbers
	into defined constants.  info.c: this is where some of these got
	moved from.

2004-06-11  rocky <rocky@gnu.org>

	* include/libvcd/info.h: Add constants for encoded track and segment
	number boundarys.  Doc some lengths.

2004-06-11  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: It's now vcd-info not vcdinfo.

2004-06-11  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: One more place cdio_msf_to_str should be
	used.

2004-06-11  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/image_bincue.c, lib/image_cdrdao.c: 
	Use cdio_msf_to_str were appropriate.  image_bincue.c: also use
	CDIO_CD_MAX_TRACKS.

2004-06-11  rocky <rocky@gnu.org>

	* configure.ac: It is a tad nicer to switch off
	--without-versioned-libs when GNU ld isn't around rather than give
	and error and halt.

2004-06-01  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, test/svcd1_nrg.right,
	test/svcd1_test0.right, test/svcd1_test1.right,
	test/svcd1_test2.right, test/vcd20_nrg3.right: Output from vcd-info
	made just a tad easier to understand.

2004-05-11  rocky <rocky@gnu.org>

	* configure.ac, lib/image.c, lib/image_bincue.c,
	lib/image_cdrdao.c, lib/image_nrg.c: image*.c: had uint32_t's where
	lsn_t's should have been used.  configure.ac: major change has gone
	in libcdio. Make sure we get it.

2004-05-05  rocky <rocky@gnu.org>

	* include/libvcd/logging.h: Doc elaboration on vcd_error.

2004-03-31  rocky <rocky@gnu.org>

	* include/libvcd/info.h: Include version.h so applications can test
	for the version number.

2004-03-28  rocky <rocky@gnu.org>

	* configure.ac, include/libvcd/version.h.in: Add preprocessor symbol
	for the release number. This can be used in C programs.

2004-03-28  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_rip.c, include/libvcd/files_private.h,
	include/libvcd/inf.h, include/libvcd/info.h,
	include/libvcd/types.h, lib/files.c, lib/inf.c, lib/info.c,
	lib/info_private.c, lib/info_private.h, lib/pbc.c, lib/vcd_read.c,
	lib/vcd_read.h, test/check_sizeof.c: Fix up multi-default selection.
	Add routine to give starting entry number for a given track.  More typedefs end _t.

2004-03-26  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c, lib/info.c, test/svcd1_test1.right,
	test/vcd20_test1.right: Off-by one bug in vcd-info in showing
	SEQUENCE numbers of LIDs.  (Just goes to show how carefully folks
	read the stuff that vcd-info reports.)

2004-03-20  rocky <rocky@gnu.org>

	* configure.ac: Check for GNU ld if --with-versioned-libs.

2004-03-18  rocky <rocky@gnu.org>

	* lib/info.c: When we ask for a selection offset, make sure we have
	some sort of selection list.

2004-03-11  rocky <rocky@gnu.org>

	* configure.ac, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_rip.c: Changes to make cygwin -mno-cygwin
	(without POSIX emulation) work.

2004-03-11  rocky <rocky@gnu.org>

	* configure.ac: Make -mno-cygwin work on cygwin.

2004-03-11  rocky <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c: Make cygwin -mno-cygwin work.

2004-03-07  rocky <rocky@gnu.org>

	* libvcdinfo.pc.in: libvcdinfo needs libiso9660

2004-03-06  rocky <rocky@gnu.org>

	* lib/vcd.c: printf lint (for cygwin)

2004-03-02  rocky <rocky@gnu.org>

	* configure.ac, lib/Makefile.am: Add --without-versioned-libs
	option.

2004-03-02  rocky <rocky@gnu.org>

	* .cvsignore, configure.ac, docs/glossary.texi, docs/vcd-info.texi,
	docs/version.texi, libvcd.pc.in: docs/*: update documentation.
	libvcd.pc.in: we don't export libvcd any more. So no pkg-config
	either.

2004-03-01  rocky <rocky@gnu.org>

	* libvcdinfo.pc.in: We no longer require libvcd. Thanks to Goetz
	Waschk.

2004-02-28  rocky <rocky@gnu.org>

	* docs/glossary.texi: More or expanded terms.

2004-02-25  rocky <rocky@gnu.org>

	* configure.ac: Note that we need libpopt 1.7 or greater. We're now
	in 0.7.21cvs territory.

2004-02-25  rocky <rocky@gnu.org>

	* libpopt.m4: Test that libpopt is new enough to allow optional
	arguments.

2004-02-21  rocky <rocky@gnu.org>

	* frontends/cli/vcd-info.c: Another valgrind memory leak.

2004-02-21  rocky <rocky@gnu.org>

	* lib/info.c: Another memory leak found by valgrind.

2004-02-20  rocky <rocky@gnu.org>

	* vcdimager.spec.in: vcd-info German description (from Manfred
	Tremmel).

2004-02-20  rocky <rocky@gnu.org>

	* vcdimager.spec.in: Update info about vcd-info.

2004-02-20  hvr <hvr@gnu.org>

	* Makefile.am, debian/changelog: fixup debian packaging for release;
	*** release 0.7.20 ***

2004-02-19  hvr <hvr@gnu.org>

	* HACKING, Makefile.am, autogen.sh, configure.ac: use installed
	cvs2cl script instead of cvs-contained one

2004-02-19  hvr <hvr@gnu.org>

	* NEWS: fixup layout; prepare for 0.7.20 release

2004-02-18  hvr <hvr@gnu.org>

	* Makefile.am: add pre-cvs2cl-ChangeLog files to EXTRA_DIST

2004-02-18  hvr <hvr@gnu.org>

	* Makefile.am: made ChangeLog a phony target when in maintainer mode

2004-02-18  hvr <hvr@gnu.org>

	* configure.ac: uncomment AC_CANONICAL_HOST as its required for the
	HOST_ARCH #define

2004-02-18  nboullis <>

	* debian/changelog, debian/control, debian/rules: Get mostly ready
	for 0.7.20. Only debian/changelog should still need to be changed
	when 0.7.20 is ready/out.

2004-02-15  rocky <rocky@gnu.org>

	* vcdimager.spec.in: Corrections from Manfred Tremmel. Many thanks!

2004-02-14  rocky <rocky@gnu.org>

	* NEWS: What's up.

2004-02-14  rocky <rocky@gnu.org>

	* docs/vcd-info.texi, docs/version.texi: Like now.

2004-02-14  rocky <rocky@gnu.org>

	* vcdimager.spec.in: require libcdio 0.66

2004-02-14  rocky <rocky@gnu.org>

	* debian/copyright: [no log message]

2004-02-14  rocky <rocky@gnu.org>

	* lib/sector.c, lib/sector_private.h: Alleged GPL EDC CRC table.

2004-02-14  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Go over.  Add vcd-info example. Note libvcd is private libvcdinfo public. Move
	CD image format section to libcdio documentation.  Smally typos and URL correction.

2004-02-13  rocky <rocky@gnu.org>

	* NEWS: Note library symbol versioning (from Nicolas Boullis)

2004-02-13  nboullis <>

	* debian/changelog, debian/control, debian/info,
	debian/libvcdinfo-dev.install, debian/libvcdinfo0.install,
	debian/rules, debian/vcdimager.install: Preliminary Debian packaging
	for 0.7.20.

2004-02-13  rocky <rocky@gnu.org>

	* docs/cvd-subtitles.txt, docs/svcd-ogt-subtitles.txt: Call for
	help.

2004-02-13  rocky <rocky@gnu.org>

	* lib/.cvsignore, lib/Makefile.am: From Nicolas Boullis:   1) work around that vcd_loglevel_default problem,   2) add *.la.ver (for libvcdinfo.la.ver) to lib/.cvsignore,   3) remove libiso9660.la from MOSTLYCLEANFILES in lib/Makefile.am.       (Why did I add this file to MOSTLYCLEANFILES?) Now, some explanations: Initially, libvcd was distributed as a shared library, and
	everything was fine.  Then we changed it not to have libvcd as a shared library. Now, both
	vcd-info and libvcdinfo.so are linked with libvcd. This means that
	both have copies of the symbols from libvcd (including
	vcd_loglevel_default).  At runtime, vcd-info and libvcdinfo.so get
	linked, and the symbols from libvcd arrear twice in the namespace.
	Especially, that means there are two vcd_loglevel_default variables.
	By chance, the same one is used everytime, so it works...  With my current versioning, all symbols in libvcdinfo.so are
	versioned with VCDINFO_0, including those from libvcd (although
	those are not exported). Then vcd-info uses the unversioned
	vcd_loglevel_default (I can't tell why) while libvcdinfo.so uses the
	VCDINFO_0 one. And that causes the current breakage.  With the new patch the symbols from libvcd that are in libvcdinfo.so
	are unversioned, but they are exported. (I could not find a way to
	declare them local without versioning them...) That means we are now
	back to the previous behaviour where there are two
	vcd_loglevel_default symbols at runtime, but it works...  Now, how to fix this properly? I think a very good thing to do would be not to have variables at
	all shared libraries, as I think it can always be made to fail when
	the library is linked twice. Moreover, a shared should only export
	its own symbols (not symbols from another library), and only its own
	symbols should be used from outside...

2004-02-12  rocky <rocky@gnu.org>

	* frontends/cli/Makefile.am, frontends/xml/Makefile.am: (From
	     Nicolas Boullis): install manpages even when not in maintainer mode
	      (and use a more traditional test to disable automatic rebuilding of
	manapges when not in maintainer mode),

2004-02-12  rocky <rocky@gnu.org>

	* lib/Makefile.am: vcdinfo library versioning from Nicolas Boullis.

2004-02-12  rocky <rocky@gnu.org>

	* THANKS: Obvious.

2004-02-12  rocky <rocky@gnu.org>

	* Makefile.am: We no longer export libvcd.pc. Change made by Nicolas
	Boullis.

2004-02-11  rocky <rocky@gnu.org>

	* lib/Makefile.am: From Nicolas Boullis: Don't install libvcd.

2004-02-09  rocky <rocky@gnu.org>

	* lib/Makefile.am: Attempt to clean up library versioning info.  Many thanks to Nicolas Boullis.

2004-02-08  nboullis <>

	* debian/changelog, debian/control, debian/rules: Sync the debian/
	directory with the latest package uploaded.

2004-02-08  rocky <rocky@gnu.org>

	* lib/Makefile.am: add libvcd dependency for cygwin

2004-02-08  rocky <rocky@gnu.org>

	* lib/info.c: Another valgrind-detected memory leak.

2004-02-08  rocky <rocky@gnu.org>

	* configure.ac: Typo. I wonder what this broke?

2004-02-08  rocky <rocky@gnu.org>

	* lib/Makefile.am: Update revision. Seem now to need to add libcdio
	and libiso9660 (as well?).

2004-02-08  rocky <rocky@gnu.org>

	* configure.ac, include/libvcd/info.h: info.h: Remove some non-c99
	warnings.  configure.ac: we're not picking up uint64_t for Solaris. This is one
	way to address not sure if it is the best way. Not sure what the
	change in definition is between 0.7.14 which works and this.

2004-02-08  rocky <rocky@gnu.org>

	* lib/info.c: Fix memory leak (with the help of valgrind).

2004-02-07  rocky <rocky@gnu.org>

	* frontends/cli/cdxa2mpeg.c, frontends/cli/vcd-info.c,
	frontends/cli/vcdimager.c: Some of the many valgrind problems seen.

2004-01-25  rocky <rocky@gnu.org>

	* NEWS, frontends/cli/cdxa2mpeg.c: Give an error if input and output
	files are the same.  Also remove extraneous "error: " on calls to vcd_error. vcd_error
	adds its own designation.

2004-01-25  rocky <rocky@gnu.org>

	* docs/Makefile.am, docs/cvd-subtitles.txt, docs/glossary.texi,
	docs/svcd-ogt-subtitles.txt: Add more-detailed subtitle info. Expand
	PSD and LID descriptions.

2004-01-24  rocky <rocky@gnu.org>

	* lib/info.c: Another NULL check.

2004-01-15  hvr <hvr@gnu.org>

	* frontends/cli/popt/.cvsignore, frontends/cli/popt/Makefile.am,
	frontends/cli/popt/findme.c, frontends/cli/popt/findme.h,
	frontends/cli/popt/popt.c, frontends/cli/popt/popt.h,
	frontends/cli/popt/poptconfig.c, frontends/cli/popt/popthelp.c,
	frontends/cli/popt/poptint.h, frontends/cli/popt/poptparse.c: 
	removed popt library from cvs

2004-01-15  rocky <rocky@gnu.org>

	* autogen.sh: Create ChangeLog if it's not around.

2004-01-15  rocky <rocky@gnu.org>

	* configure.ac: Give URL for libcdio if it's not found.

2004-01-15  hvr <hvr@gnu.org>

	* libpopt.m4: fixed underquoted definition warning

2004-01-15  rocky <rocky@gnu.org>

	* ChangeLog: Use cvs2cl.pl for this.

2004-01-15  rocky <rocky@gnu.org>

	* configure.ac: Get ready for release.

2004-01-09  rocky <rocky@gnu.org>

	* lib/sector_private.h: Just some column alignment.

2004-01-09  rocky <rocky@gnu.org>

	* lib/Makefile.am, lib/l2sq_table.h, lib/sector.c,
	lib/sector_private.h: Embed l2sq_table.h in sector_private.h.
	Replace encode_L2_P(inout) since that was rewritten in cdrtools as
	well.  Remove unused tables in sector_private.h

2004-01-09  rocky <rocky@gnu.org>

	* NEWS, lib/Makefile.am, lib/l2sq_table.h, lib/sector.c: Replace
	unfree encode_L2_Q with GPL version from cdrtools 1.11a40

2004-01-07  rocky <rocky@gnu.org>

	* ChangeLog, configure.ac, docs/version.texi: Testing commit status.

2003-11-23  rocky <rocky@gnu.org>

	* NEWS, docs/vcdimager.texi, docs/version.texi,
	include/libvcd/info.h, lib/info.c: API completion: (libvcdinfo) now
	has API for multi-default selections; APIs for mapping a selection
	number to a LID or LID offset added.

2003-11-18  rocky <rocky@gnu.org>

	* frontends/cli/Makefile.am, frontends/xml/Makefile.am,
	include/libvcd/info.h, lib/info.c, lib/info_private.c,
	lib/info_private.h: Report success/failure status on traversing
	LOTs.

2003-11-17  rocky <rocky@gnu.org>

	* NEWS: [no log message]

2003-11-17  rocky <rocky@gnu.org>

	* lib/info.c: Redo the way we find segment LSNs to significantly
	reduce the number of CD reads when we have continued segments, or a
	large number of segments or a lots of files in the ISO-9660 track.

2003-11-16  rocky <rocky@gnu.org>

	* configure.ac, frontends/cli/vcd-info.c,
	frontends/xml/vcd_xml_rip.c, lib/info.c: Changes in libcdio:
	iso9600_stat now has filename inside it.  iso9660_fs_readdir now
	returns a list of iso9660_stat_t's rather than filenames.  This is in preparation for greatly reducing the number of CD reads
	when picking out segment lsn information.

2003-11-12  rocky <rocky@gnu.org>

	* configure.ac: Steve Schultz says we need this and he's an honest
	guy...

2003-11-11  rocky <rocky@gnu.org>

	* lib/bytesex.h: Remove conversions used only by iso9660 - they're
	in libcdio's version.

2003-11-10  rocky <rocky@gnu.org>

	* frontends/cli/.cvsignore: vcddebug is no more :-(

2003-11-10  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: vcddump is now vcd-info

2003-11-10  rocky <rocky@gnu.org>

	* libvcd/Makefile.am, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_assert.h, libvcd/vcd_bitvec.h, libvcd/vcd_bytesex.h,
	libvcd/vcd_bytesex_asm.h, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector.h, libvcd/vcd_cd_sector_private.h,
	libvcd/vcd_data_structures.c, libvcd/vcd_data_structures.h,
	libvcd/vcd_dict.h, libvcd/vcd_directory.c, libvcd/vcd_directory.h,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_files_private.h,
	libvcd/vcd_image.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_fs.c,
	libvcd/vcd_image_fs.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_image_vpkt.c, libvcd/vcd_image_vpkt.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h,
	libvcd/vcd_iso9660_private.h, libvcd/vcd_logging.c,
	libvcd/vcd_logging.h, libvcd/vcd_mmc_linux.c,
	libvcd/vcd_mmc_linux.h, libvcd/vcd_mmc_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h, libvcd/vcd_recorder.c, libvcd/vcd_recorder.h,
	libvcd/vcd_recorder_mmc.c, libvcd/vcd_recorder_mmc.h,
	libvcd/vcd_salloc.c, libvcd/vcd_salloc.h, libvcd/vcd_stream.c,
	libvcd/vcd_stream.h, libvcd/vcd_stream_stdio.c,
	libvcd/vcd_stream_stdio.h, libvcd/vcd_types.h, libvcd/vcd_util.c,
	libvcd/vcd_util.h, libvcd/vcd_xa.h, libvcd/vcdinf.c,
	libvcd/vcdinf.h, libvcd/vcdinfo.c, libvcd/vcdinfo.h: Merge with
	cdio-branch

2003-11-10  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_parse.h, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, {libvcd => include}/.cvsignore,
	include/Makefile.am, include/libvcd/.cvsignore,
	include/libvcd/Makefile.am, include/libvcd/files.h,
	include/libvcd/files_private.h, include/libvcd/inf.h,
	include/libvcd/info.h, include/libvcd/logging.h,
	include/libvcd/sector.h, include/libvcd/types.h,
	include/libvcd/version.h.in, lib/.cvsignore, lib/Makefile.am,
	lib/bitvec.h, lib/bytesex.h, lib/bytesex_asm.h,
	lib/data_structures.c, lib/data_structures.h, lib/dict.h,
	lib/directory.c, lib/directory.h, lib/files.c, lib/image.c,
	lib/image_bincue.c, lib/image_cdrdao.c, lib/image_nrg.c,
	lib/image_sink.h, lib/inf.c, lib/info.c, lib/info_private.c,
	lib/info_private.h, lib/logging.c, lib/mpeg.c, lib/mpeg.h,
	lib/mpeg_stream.c, lib/mpeg_stream.h, lib/obj.h, lib/pbc.c,
	lib/pbc.h, lib/salloc.c, libvcd/vcd_bytesex.c => lib/salloc.h,
	lib/sector.c, lib/sector_private.h, lib/stream.c, lib/stream.h,
	lib/stream_stdio.c, libvcd/vcd_image_cd.h => lib/stream_stdio.h,
	lib/util.c, lib/util.h, lib/vcd.c, lib/vcd.h, tests/testischar.c =>
	lib/vcd_assert.h, lib/vcd_read.c, libvcd/vcd_image_cd-generic.c =>
	lib/vcd_read.h, libvcd/vcd_image.h, libvcd/vcd_image_bincue.h,
	libvcd/vcd_image_cd-bsdi.c, libvcd/vcd_image_cd-linux.c,
	libvcd/vcd_image_cd-sunos.c, libvcd/vcd_image_cdrdao.h,
	libvcd/vcd_image_nrg.h, {tests => test}/.cvsignore, {tests =>
	test}/Makefile.am, {tests => test}/check_bitfield.c,
	tests/check_common_fn => test/check_common_fn.in,
	test/check_cue.xml, test/check_nrg.sh, test/check_nrg.xml,
	test/check_nrg2.xml, {tests => test}/check_sizeof.c, {tests =>
	test}/check_svcd1.sh, {tests => test}/check_svcd1.xml, {tests =>
	test}/check_vcd11.sh, {tests => test}/check_vcd11.xml, {tests =>
	test}/check_vcd20.sh, {tests => test}/check_vcd20.xml, {tests =>
	test}/check_vcdimager_fn, test/check_vcdinfo_fn, {tests =>
	test}/check_vcdxbuild_fn, {tests => test}/check_vcdxrip_fn, {tests
	=> test}/mpegscan.c, {tests => test}/mpegscan2.c,
	test/svcd1_cue.xml-right, test/svcd1_nrg.right,
	test/svcd1_nrg.xml-right, {tests => test}/svcd1_test0.right, {tests
	=> test}/svcd1_test1.right, {tests => test}/svcd1_test1.xml-right,
	{tests => test}/svcd1_test2.right, {tests => test}/testassert.c,
	{tests => test}/testimage.c, {tests => test}/vcd11_test0.right,
	{tests => test}/vcd11_test1.right, {tests =>
	test}/vcd11_test1.xml-right, {tests => test}/vcd11_test2.right,
	test/vcd20_nrg.right, test/vcd20_nrg3.right, {tests =>
	test}/vcd20_test0.right, {tests => test}/vcd20_test1.right, {tests
	=> test}/vcd20_test1.xml-right, test/vcd20_test2.right,
	tests/vcd20_test2.right => test/vcd20_test3.right,
	tests/check_vcddump_fn, vcd_examples/.cvsignore,
	vcd_examples/README, vcd_examples/demovcd-pal.cue,
	vcd_examples/demovcd-pal.right, vcd_examples/iso2_vcd_pal.cue,
	vcd_examples/monvoisin.right, vcd_examples/svcd_ogt_test_ntsc.cue,
	vcd_examples/svcd_ogt_test_ntsc.right,
	vcd_examples/test_svcd_ntsc.cue, vcd_examples/test_svcd_ntsc.right,
	vcd_examples/test_svcd_pal.cue, vcd_examples/test_svcd_pal.right,
	vcd_examples/testdump, vcd_examples/vcd_demo.cue,
	vcd_examples/vcd_demo.right: Merge with cdio-branch

2003-11-10  rocky <rocky@gnu.org>

	* .cvsignore, Makefile.am, NEWS, autogen.sh, configure.ac,
	docs/.cvsignore, docs/Makefile.am, docs/glossary.texi,
	docs/{vcddump.texi => vcd-info.texi}, docs/vcdimager.texi,
	docs/version.texi, frontends/cli/.cvsignore,
	frontends/cli/Makefile.am, frontends/cli/cdxa2mpeg.c,
	frontends/cli/vcd-info.c, frontends/cli/vcdimager.c,
	frontends/xml/Makefile.am, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	frontends/xml/vcd_xml_dtd.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_dump.h, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	libvcd.pc.in, libvcdinfo.pc.in, vcdimager.spec.in: Merge with
	cdio-branch

2003-10-13  nboullis <>

	* debian/changelog, debian/control: Merge changes from the
	debian_version_0_7_14 branch.

2003-10-08  nboullis <>

	* docs/vcdimager.texi: Remove extraneous backquote.

2003-10-08  rocky <rocky@gnu.org>

	* docs/vcdimager.texi, docs/version.texi: Missing @end.

2003-10-08  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Expand cdxa2mpeg for Nicolaus Boullis.

2003-10-05  nboullis <>

	* frontends/cli/cdxa2mpeg.c: cdxa2mpeg: add a few tests for read
	errors and EOFs.

2003-09-23  nboullis <>

	* debian/changelog: Update debian dir to match the real 0.7.14-1
	package.

2003-07-06  hvr <hvr@gnu.org>

	* Makefile.am, docs/version.texi, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c: added --filename-encoding option to xml
	frontends, in order to allow local filenames to have a different
	encoding than utf8...

2003-04-08  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, tests/svcd1_test1.xml-right,
	tests/vcd20_test1.xml-right: Bug: Off by one in XML segment number
	produced by vcdxrip introduced by yours truly.

2003-04-02  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, libvcd/vcdinf.c, libvcd/vcdinf.h,
	libvcd/vcdinfo.c, libvcd/vcdinfo.h: Move more low-level to vcdinf
	from vcdinfo. Hopefully better modularity.  And keeping more in line
	with the cdio branch.

2003-03-30  rocky <rocky@gnu.org>

	* libvcd/Makefile.am, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_assert.h, libvcd/vcd_bitvec.h, libvcd/vcd_bytesex.h,
	libvcd/vcd_bytesex_asm.h, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector.h, libvcd/vcd_cd_sector_private.h,
	libvcd/vcd_data_structures.c, libvcd/vcd_data_structures.h,
	libvcd/vcd_dict.h, libvcd/vcd_directory.c, libvcd/vcd_directory.h,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_files_private.h,
	libvcd/vcd_image.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_fs.c,
	libvcd/vcd_image_fs.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_image_vpkt.c, libvcd/vcd_image_vpkt.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h,
	libvcd/vcd_iso9660_private.h, libvcd/vcd_logging.c,
	libvcd/vcd_logging.h, libvcd/vcd_mmc_linux.c,
	libvcd/vcd_mmc_linux.h, libvcd/vcd_mmc_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h, libvcd/vcd_recorder.c, libvcd/vcd_recorder.h,
	libvcd/vcd_recorder_mmc.c, libvcd/vcd_recorder_mmc.h,
	libvcd/vcd_salloc.c, libvcd/vcd_salloc.h, libvcd/vcd_stream.c,
	libvcd/vcd_stream.h, libvcd/vcd_stream_stdio.c,
	libvcd/vcd_stream_stdio.h, libvcd/vcd_types.h, libvcd/vcd_util.c,
	libvcd/vcd_util.h, libvcd/vcd_xa.h, libvcd/vcdinf.c,
	libvcd/vcdinf.h, libvcd/vcdinfo.c, libvcd/vcdinfo.h: Removed *again*
	from wrong place.

2003-03-30  rocky <rocky@gnu.org>

	* libvcd/Makefile.am, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_assert.h, libvcd/vcd_bitvec.h, libvcd/vcd_bytesex.h,
	libvcd/vcd_bytesex_asm.h, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector.h, libvcd/vcd_cd_sector_private.h,
	libvcd/vcd_data_structures.c, libvcd/vcd_data_structures.h,
	libvcd/vcd_dict.h, libvcd/vcd_directory.c, libvcd/vcd_directory.h,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_files_private.h,
	libvcd/vcd_image.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_fs.c,
	libvcd/vcd_image_fs.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_image_vpkt.c, libvcd/vcd_image_vpkt.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h,
	libvcd/vcd_iso9660_private.h, libvcd/vcd_logging.c,
	libvcd/vcd_logging.h, libvcd/vcd_mmc_linux.c,
	libvcd/vcd_mmc_linux.h, libvcd/vcd_mmc_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h, libvcd/vcd_recorder.c, libvcd/vcd_recorder.h,
	libvcd/vcd_recorder_mmc.c, libvcd/vcd_recorder_mmc.h,
	libvcd/vcd_salloc.c, libvcd/vcd_salloc.h, libvcd/vcd_stream.c,
	libvcd/vcd_stream.h, libvcd/vcd_stream_stdio.c,
	libvcd/vcd_stream_stdio.h, libvcd/vcd_types.h, libvcd/vcd_util.c,
	libvcd/vcd_util.h, libvcd/vcd_xa.h, libvcd/vcdinf.c,
	libvcd/vcdinf.h, libvcd/vcdinfo.c, libvcd/vcdinfo.h: libvcd -> lib.

2003-03-17  rocky <rocky@gnu.org>

	* docs/glossary.texi: Philips, not Phillips.

2003-03-17  rocky <rocky@gnu.org>

	* docs/glossary.texi: Add terms, NTSC, PAL, SIF since they are used.
	Add pointer to a more complete glossary. Some terms are defined.
	Probably should do more in this direction.

2003-03-16  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Example output is probably more accurate.
	Note scope navigation is tied to list id.

2003-03-16  rocky <rocky@gnu.org>

	* docs/vcddump.texi, docs/vcdxrip.texi, docs/version.texi: VCD ->
	Video CD where appropriate.

2003-03-16  rocky <rocky@gnu.org>

	* docs/vcdimager.texi: Clariry loop scope. Add some concept
	definitions and acronyms.

2003-03-16  rocky <rocky@gnu.org>

	* docs/glossary.texi: Add more terms and URL's.

2003-03-16  hvr <hvr@gnu.org>

	* libvcd/vcd_mpeg.c, libvcd/vcdinfo.c: fixed a few implicit enum
	cast; released 0.7.14

2003-03-16  rocky <rocky@gnu.org>

	* NEWS: Getting more verbose in my old age.

2003-03-16  hvr <hvr@gnu.org>

	* configure.ac: add pedantic compile flags only when in maintainer
	mode

2003-03-16  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: Accomodate to older popt that doesn't
	support the "optional" flag.

2003-03-15  rocky <rocky@gnu.org>

	* tests/check_svcd1.sh, tests/check_vcd11.sh, tests/check_vcd20.sh: 
	A tad better at reporting skipped when skipped.

2003-03-15  hvr <hvr@gnu.org>

	* configure.ac: fixed configure.ac bugs

2003-03-15  rocky <rocky@gnu.org>

	* tests/check_svcd1.sh, tests/check_vcd11.sh, tests/check_vcd20.sh: 
	Don't report failure if any combination of vcdimager, vcdxrip, and
	vcddump are not present.

2003-03-15  hvr <hvr@gnu.org>

	* NEWS: preparing for 0.7.14

2003-03-15  hvr <hvr@gnu.org>

	* configure.ac, libvcd/vcd_types.h: added check for warning cflags
	and _Pragma() support in compiler

2003-03-15  hvr <hvr@gnu.org>

	* libvcd/vcd_mpeg.c: Be a bit more tolerant about unexpected (wrt to
	mpeg grammar) stuffing bytes

2003-03-11  rocky <rocky@gnu.org>

	* configure.ac: Expand OS to check for Solaris. Give warning of OS's
	that fall through the cracks. $host_os is probably more precise (and
	less likely to become obsolete than $host. (Actually, $target_os is
	probably the most accurate as it would take into consideration
	cross-compilation.)

2003-03-11  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, frontends/xml/vcd_xml_rip.c: vcdinf_open
	and vcdinfo_open interface changed to set source_name if passed
	null.

2003-03-11  rocky <rocky@gnu.org>

	* libvcd/vcdinf.c, libvcd/vcdinf.h, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: Change interface to *set* source_name if it was
	passed null, dummy.

2003-03-11  rocky <rocky@gnu.org>

	* libvcd/vcd_image.c: vcd_image_source_get_default_device: Was
	testing on wrong non-null function pointer.

2003-03-11  rocky <rocky@gnu.org>

	* tests/check_svcd1.sh, tests/check_vcd11.sh, tests/check_vcd20.sh: 
	Don't erase vcdbuild output or core's on first vcddump test.

2003-03-10  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, frontends/xml/vcd_xml_rip.c,
	libvcd/vcdinf.c, libvcd/vcdinf.h, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: More (all?) psd/pld access routines moved from
	vcdinfo to vcdinf.  Created vcdinf_get_num_selections(psd)

2003-03-10  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Warn when entry values inside
	sequence items may be wrong. Message is a  little stronger than
	saying this is "not checked." "not checked" does not mean "wrong."

2003-03-07  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c: Keep in sync with xine-vcdx: Was including
	pregap in entry size if it was the last one in that track. Don't.
	Missing one XA test to guard for using IS0-9660 filesystem info.  Use track_t more pervasively.  Correct comments about track number.

2003-03-07  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.h: Sync with xine-vcdx code: Use track_t more
	pervasively. Correct comments about track number.  Change
	VCDINFO_INVALID_TRACK to something in range.

2003-03-06  rocky <rocky@gnu.org>

	* docs/version.texi, libvcd/vcdinfo.c, libvcd/vcdinfo.h: Just some
	comment/document correction/clarification.

2003-03-06  rocky <rocky@gnu.org>

	* .cvsignore: [no log message]

2003-03-04  rocky <rocky@gnu.org>

	* tests/Makefile.am: Use more automake-idiomatic way to clean files.

2003-03-04  hvr <hvr@gnu.org>

	* frontends/xml/Makefile.am, frontends/xml/vcd_xml_dtd.h: made
	videocd_dtd string const

2003-03-04  hvr <hvr@gnu.org>

	* tests/check_sizeof.c: minor 64bit warning avoided...

2003-03-04  hvr <hvr@gnu.org>

	* libvcd/vcd_image_fs.c: just warn instead of abort() on incorrect
	ISO9660 folder sizes

2003-03-04  hvr <hvr@gnu.org>

	* AUTHORS, libvcd/vcd.c: get credits straight

2003-03-04  hvr <hvr@gnu.org>

	* docs/vcdimager.texi: remove vcdxrip entry

2003-02-28  rocky <rocky@gnu.org>

	* BUGS: Spelling

2003-02-28  rocky <rocky@gnu.org>

	* NEWS: My NEWS.

2003-02-28  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-bsdi.c: Changes from Steven M. Schultz

2003-02-27  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-bsdi.c: Add _vcd_get_default_device and allow
	forced mode selection access.

2003-02-27  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Declarations before code for gcc <
	3.0

2003-02-27  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Give error message if can't figure
	out where to read from.

2003-02-27  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, libvcd/vcdinf.c: vcdinf.c: Test for
	get_default_device failing to give back an answer.  vcddump: Give
	error message if failed to find place to read from

2003-02-27  rocky <rocky@gnu.org>

	* tests/Makefile.am: To be pedantic...

2003-02-26  rocky <rocky@gnu.org>

	* configure.ac, libvcd/vcd_image_cd-linux.c, libvcd/vcd_mmc_linux.c: 
	Test for presence of linux/cdrom.h and whether cdrom_generic_command
	has timeout field in its struct.

2003-02-26  rocky <rocky@gnu.org>

	* docs/.cvsignore, docs/version-vcddump.texi: Remove and ignore
	derived file.

2003-02-26  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Add tracks option and give warning
	about not checking autowait and autopause if any MPEG is not
	extracted.

2003-02-26  rocky <rocky@gnu.org>

	* docs/.cvsignore: Another.

2003-02-26  rocky <rocky@gnu.org>

	* docs/.cvsignore: This is a derived file.

2003-02-26  rocky <rocky@gnu.org>

	* docs/vcdxrip.texi: Document new --track option. Reorganize options
	sections and break up to examples into two sections.

2003-02-26  rocky <rocky@gnu.org>

	* tests/check_common_fn, tests/check_svcd1.sh,
	tests/check_vcd11.sh, tests/check_vcd20.sh: Revise to not erase
	bin/cue on failures (other than "expected" failures).
	check_common_fn: add common routine check results and report results

2003-02-26  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_parse.c: added several explicit casts to/from
	'char *' and 'xmlChar *'

2003-02-26  hvr <hvr@gnu.org>

	* frontends/xml/Makefile.am: dont link xml libs into vcdxminfo

2003-02-26  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_dtd.c, tests/testimage.c: added missing
	#include

2003-02-26  hvr <hvr@gnu.org>

	* vcdimager.spec.in: added vcdxrip.info

2003-02-26  rocky <rocky@gnu.org>

	* docs/vcddump.texi, docs/vcdxrip.texi: Spelling corrections.

2003-02-26  nboullis <>

	* debian/info: fully install the new vcdxrip info file.

2003-02-26  rocky <rocky@gnu.org>

	* docs/vcdxrip.texi: Small typographical changes.

2003-02-26  rocky <rocky@gnu.org>

	* docs/vcdxrip.texi: vcdimager doc.

2003-02-25  nboullis <>

	* debian/changelog, debian/control: debian: no need to build-depend
	on help2man any more.

2003-02-25  rocky <rocky@gnu.org>

	* docs/.cvsignore: Add vcdxrip to list.

2003-02-25  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Small changes.

2003-02-25  rocky <rocky@gnu.org>

	* docs/Makefile.am, docs/vcddump.texi, docs/vcdimager.texi,
	docs/version-vcddump.texi, docs/version.texi: Add vcdxrip
	documentation.

2003-02-24  nboullis <>

	* debian/changelog: Getting ready for 0.7.14 .

2003-02-24  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Use smart open routine.

2003-02-24  rocky <rocky@gnu.org>

	* libvcd/vcd_image_bincue.c, libvcd/vcd_image_cd-linux.c,
	libvcd/vcd_image_nrg.c, libvcd/vcdinf.c, libvcd/vcdinf.h,
	libvcd/vcdinfo.c, libvcd/vcdinfo.h: Add get_default_device.  vcdinf:
	add "smart" img_src open routine and use it in vcdinfo.

2003-02-24  rocky <rocky@gnu.org>

	* tests/Makefile.am, tests/check_svcd1.sh, tests/check_vcd11.sh,
	tests/vcd11_test1.xml-right: Add vcd11 test. (Remembered Makefile.am
	this time).  check_scvd1.sh: typo.

2003-02-24  rocky <rocky@gnu.org>

	* tests/check_vcdxrip_fn: Suggestion as to how to test against
	previous version.

2003-02-24  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: Some fns moved from vcdinfo to vcdinf.
	Use couple of new vcdinf fns.

2003-02-24  rocky <rocky@gnu.org>

	* tests/check_vcd20.sh: Typo in error message.

2003-02-24  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Make more use of common routines in
	vcdinf/vcdinfo. Better option processing: show option on error, add
	"smart" --input option.

2003-02-24  rocky <rocky@gnu.org>

	* libvcd/vcdinf.c, libvcd/vcdinf.h, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: More internal-specific fns moved from vcdinfo into
	vcdinf.  Possibly some new ones added to vcdinf.

2003-02-23  hvr <hvr@gnu.org>

	* Makefile.am: added aclocal flags used for maintainer mode

2003-02-23  hvr <hvr@gnu.org>

	* autogen.sh, configure.ac: enable maintainer-mode by default from
	autogen.sh; more warning flags enabled; moved <linux/version.h>
	detection into linux specific section

2003-02-23  hvr <hvr@gnu.org>

	* libvcd/vcd_files_private.h: use bool for single-bit-fields

2003-02-23  hvr <hvr@gnu.org>

	* libvcd/vcd_mmc_private.h: replaced remaining uint8_t w/ bitfield_t

2003-02-23  hvr <hvr@gnu.org>

	* tests/Makefile.am: someone forgot to include the additional test
	data files...

2003-02-23  hvr <hvr@gnu.org>

	* BUGS, libvcd/vcd_assert.h: got rid of the gnu ({})-extension

2003-02-23  rocky <rocky@gnu.org>

	* tests/check_svcd1.sh, tests/check_vcd20.sh,
	tests/check_vcd20.xml, tests/check_vcddump_fn,
	tests/check_vcdxrip_fn, tests/svcd1_test1.xml-right,
	tests/vcd20_test1.right, tests/vcd20_test1.xml-right: First
	regression tests of vcdxrip. check_vcd20.xml: add nonnull area.

2003-02-23  rocky <rocky@gnu.org>

	* tests/check_vcd20.sh, tests/check_vcd20.xml,
	tests/vcd20_test1.right: More stringent test uses more of the XML
	language.  Now contains an entry a default entry, and wait -1, and coordinates
	on return.

2003-02-23  rocky <rocky@gnu.org>

	* tests/check_vcddump_fn: Run dump even if no cmp. We can still test
	against a SEGV.

2003-02-22  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, frontends/xml/vcd_xml_rip.c,
	libvcd/vcdinf.c, libvcd/vcdinf.h, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: Move more internal routines from vcdinfo into
	vcdinf.  Use more common code in vcd_xml_rip.c Fix bug in filling out LID's (vcdinf_update_offset_list)

2003-02-21  rocky <rocky@gnu.org>

	* configure.ac, libvcd/vcd_image_cd-sunos.c: Solaris fixes.

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c: Forgot to remove _visit_pbc here. Is now in
	vcdinf.c

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcdinf.c: Can't have offset_x_list NULL. Sigh.

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcdinf.c, libvcd/vcdinf.h, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: Move routines to populate offset lists more
	internally.  Remove potential memory leak if these routines were
	called more than once.

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-linux.c, libvcd/vcd_image_cd-sunos.c: C99
	syntax for vcd_image_source_funcs.

2003-02-21  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: For some inexplicable reason I was
	reading the PSD twice.

2003-02-21  hvr <hvr@gnu.org>

	* cvs2cl_usermap: added missing user ids

2003-02-21  hvr <hvr@gnu.org>

	* libvcd/vcd_files_private.h, libvcd/vcd_types.h: introduced
	bitfield_t typedef to workaround alignment issues on some compilers

2003-02-21  hvr <hvr@gnu.org>

	* ChangeLog, ChangeLog_pre0_7_14, Makefile.am, cvs2cl.pl,
	cvs2cl_header, cvs2cl_usermap: switched to cvs2cl.pl generated
	ChangeLog file

2003-02-21  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: Was setting disk image type for
	--nrg-file type incorrectly.

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcdinf.c: Was missing a couple of implementations.

2003-02-21  rocky <rocky@gnu.org>

	* ChangeLog: [no log message]

2003-02-21  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c, libvcd/vcdinf.c, libvcd/vcdinf.h,
	libvcd/vcdinfo.c, libvcd/vcdinfo.h: More stuff added to vcdinf and
	more code in vcd_xml_rip now uses it.

2003-02-21  rocky <rocky@gnu.org>

	* libvcd/vcd_types.h: Add type for track numbers.

2003-02-20  rocky <rocky@gnu.org>

	* ChangeLog: [no log message]

2003-02-20  rocky <rocky@gnu.org>

	* tests/svcd1_test0.right, tests/svcd1_test1.right,
	tests/svcd1_test2.right, tests/vcd11_test0.right,
	tests/vcd11_test1.right, tests/vcd20_test0.right,
	tests/vcd20_test1.right: Album descriptions now have blanks stripped
	off.

2003-02-20  rocky <rocky@gnu.org>

	* frontends/xml/Makefile.am, frontends/xml/vcd_xml_rip.c: Start
	using libvcdinfo.

2003-02-20  rocky <rocky@gnu.org>

	* libvcd/Makefile.am, libvcd/vcdinf.c, libvcd/vcdinf.h,
	libvcd/vcdinfo.c, libvcd/vcdinfo.h: Sort of a lower-level vcdinfo
	for routines that can't use libvcdinfo yet (vcd_xml_rip). This has more of the internal structures, e.g.  info,
	pvd, segemnt, exposed.

2003-02-20  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-sunos.c: Allow one to force access mode.

2003-02-20  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-linux.c: Sync up with xine and cdio versions a
	little bit.  Modularity improves a little: remove iso9660 include.
	Add get_default_device, _vcd_eject_media. Some names made more
	generic to facilitate cut and past for other OSs, some names made
	more specific: _vcd_.

2003-02-19  rocky <rocky@gnu.org>

	* ChangeLog: [no log message]

2003-02-19  hvr <hvr@gnu.org>

	* libvcd/vcd_image_nrg.c: use C99 syntax

2003-02-19  hvr <hvr@gnu.org>

	* frontends/cli/Makefile.am, frontends/xml/Makefile.am: build man
	pages only in maintainer mode

2003-02-19  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, NEWS, frontends/xml/vcd_xml_rip.c,
	libvcd/vcd_files_private.h, libvcd/vcd_types.h: cleanups

2003-02-19  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: In help, give --access-mode option
	values.

2003-02-19  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Document NRG file and --access-mode.

2003-02-19  rocky <rocky@gnu.org>

	* libvcd/vcd_image_cd-linux.c: Allow one to set the access mode
	rather than assume it has to be _AM_READ_CD

2003-02-19  rocky <rocky@gnu.org>

	* libvcd/vcd_files.c: Mostly more detailed error messages.

2003-02-19  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: Add another parameter on open
	to specify access mode.

2003-02-19  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: Add options to force access mode. Allow
	one to specify a Nero file as input.

2003-02-19  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_rip.c: Better error message if reading PVD
	fails. Use more-consistent vcd_image_source_new_nrg routine.

2003-02-19  rocky <rocky@gnu.org>

	* tests/testimage.c: Modify to use more modern
	vcd_image_source_new_nrg

2003-02-19  rocky <rocky@gnu.org>

	* libvcd/vcd_image_nrg.c, libvcd/vcd_image_nrg.h: Bring in line with
	other reading interfaces. image_new routine doesn't require name,
	that's done with set_arg.  vcd_image_nrg.c: add a couple of new disk tags. Add init routine.

2003-02-19  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, configure.ac, docs/version-vcddump.texi,
	docs/version.texi, frontends/cli/vcd_debug.c,
	frontends/cli/vcddump.c, libvcd/vcd_cd_sector_private.h,
	libvcd/vcd_files.c, libvcd/vcd_files_private.h,
	libvcd/vcd_image_nrg.c, libvcd/vcd_iso9660_private.h,
	libvcd/vcd_mmc_private.h, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_pbc.c, libvcd/vcd_pbc.h, libvcd/vcd_types.h,
	libvcd/vcd_xa.h, tests/check_bitfield.c, tests/check_sizeof.c: fixed
	compilation w/ EDG-based mipspro compiler

2003-02-16  hvr <hvr@gnu.org>

	* ChangeLog: released 0.7.13

2003-02-16  hvr <hvr@gnu.org>

	* NEWS, docs/Makefile.am, docs/version-vcddump.texi,
	docs/version.texi: getting ready for 0.7.13

2003-02-14  rocky <rocky@gnu.org>

	* tests/Makefile.am: Add -lvcd for check_bitfield in case inline
	doesn't work.

2003-02-13  rocky <rocky@gnu.org>

	* NEWS: Spelling correction.

2003-02-13  rocky <rocky@gnu.org>

	* tests/Makefile.am: Set up to add "-l vcd" to check_sizeof to
	circumvent odd inline handling.

2003-02-13  rocky <rocky@gnu.org>

	* frontends/xml/Makefile.am: Expand $< since POSIX requires limited
	support and not alll make's handle completely.

2003-02-12  rocky <rocky@gnu.org>

	* tests/Makefile.am, tests/check_svcd1.sh, tests/check_vcd11.sh,
	tests/check_vcd20.sh, tests/check_vcdimager_fn,
	tests/svcd1_test0.right, tests/vcd11_test0.right,
	tests/vcd20_test0.right, tests/vcd20_test1.right: Add vcdimager
	tests. vcdxbuild may not be built. Make it easier to run check*.sh
	as a standalong (set $srcdir if not set0.

2003-02-12  rocky <rocky@gnu.org>

	* NEWS: Note libvcdinfo.

2003-02-10  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Remove Top from inside @direntry. Thanks to
	Nicolas Boullis <nboullis@debian.org>.

2003-02-10  nboullis <>

	* debian/.cvsignore: cvsignore files generated by the debian
	packaging process.

2003-02-10  nboullis <>

	* debian/info: Fully install vcddump info pages.

2003-02-10  hvr <hvr@gnu.org>

	* docs/Makefile.am, vcdimager.spec.in: getting ready for 0.7.13

2003-02-10  hvr <hvr@gnu.org>

	* AUTHORS, NEWS, tests/check_vcdxbuild_fn: getting ready for 0.7.13

2003-02-10  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c: Should check that we have a ISO 9660 filesystem
	before trying to get info from it. (Perhaps this test is too
	strong?)

2003-02-09  rocky <rocky@gnu.org>

	* docs/vcdimager.texi, libvcd/vcd.c: Use consistent and perhaps the
	correct terminology when referring to standards. vcdimager.texi: add
	references to where this is explained more fully.

2003-02-09  rocky <rocky@gnu.org>

	* frontends/xml/vcd_xml_dtd.c: Don't segfault in trying to print
	char *'s if _xmlExternalEntityLoader is given NULL.

2003-02-09  rocky <rocky@gnu.org>

	* tests/check_common_fn, tests/check_svcd1.sh,
	tests/check_vcd11.sh, tests/check_vcd20.sh, tests/check_vcddump_fn,
	tests/check_vcdxbuild_fn: sh portability: Change   if ! ... ; then to   if ; then    :   else

2003-02-08  nboullis <>

	* debian/rules: Update Debian packaging (no need to run ./autogen.sh
	since ./configure is in the tarball + run "make check" if not
	cross-compiling).

2003-02-08  rocky <rocky@gnu.org>

	* docs/.cvsignore, frontends/xml/.cvsignore: Ignore remaining
	derived files not previously listed.

2003-02-06  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.h: Until I do better in the player, make the
	invalid LID be the same as an INVALID_ENTRY. (And perhaps for other
	parts of libvcd this is a better LID constant too.)

2003-02-05  hvr <hvr@gnu.org>

	* tests/check_vcdxbuild_fn: expanded {bin,cue} to be POSIX sh
	conform

2003-02-03  rocky <rocky@gnu.org>

	* libvcd/vcd_types.h, libvcd/vcdinfo.c, libvcd/vcdinfo.h: Add type
	for declaring LIDs. Remove some of the bogosity in having to specify
	which offset list (extended or not) in looking up an entry.

2003-02-02  rocky <rocky@gnu.org>

	* docs/version-vcddump.texi, libvcd/vcdinfo.c, libvcd/vcdinfo.h: 
	Some support for default entry in selection list.

2003-02-01  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, tests/svcd1_test1.right,
	tests/vcd20_test1.right: vcdinfo: fill out offset table with LIDs.
	No more PSD[?]'s on vcddump; this helps a players navigate too.

2003-01-31  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.h: Match VCDINFO_INVALID_LID up with the
	corresponding libvcd constant. Down the line we will merge these.

2003-01-31  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c: May be a tad better at picking up end LIDs. Just
	a tad though.

2003-01-31  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: typo in routine name
	vcdinfo_track_sec_count->vcdinfo_sect_count

2003-01-30  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Info Section -> Disc Information

2003-01-30  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c: Get track sector count size and entry sector
	counts size from ISO9660 filesystem rather than CD-ROM
	CDROMREADTOCENTRY.  Thanks to the Laurens of the world for this
	complication in code who will ensure we always have test cases for
	this.

2003-01-30  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.h: Add vcdinfo_get_track_sec_count(). Alphebetation
	a tad better...

2003-01-30  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: Show XA track information if it's
	available even if this disk is not a VCD.

2003-01-30  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c: s/30fps/29.97fps/

2003-01-28  hvr <hvr@gnu.org>

	* libvcd/vcd_image_cd-bsdi.c: [no log message]

2003-01-28  hvr <hvr@gnu.org>

	* HACKING: added note about autotools versions

2003-01-28  hvr <hvr@gnu.org>

	* ChangeLog, configure.ac, docs/version-vcddump.texi,
	docs/version.texi, libvcd/vcd_image_cd-bsdi.c: bsdi fixes

2003-01-27  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, libvcd/vcdinfo.c, libvcd/vcdinfo.h: Add
	function vcdinfo_has_pbc needed in player and use it in vcddump.

2003-01-27  rocky <rocky@gnu.org>

	* docs/vcddump.texi: More info about entries id: Can possibly be
	ENNTRYSVD and not XML option tag (field "name").

2003-01-25  rocky <rocky@gnu.org>

	* docs/version-vcddump.texi: [no log message]

2003-01-25  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, tests/svcd1_test1.right,
	tests/vcd11_test1.right: PBC output changed. Also now list LSN on
	CD-ROM track info.

2003-01-25  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Document PBC. Info cross references should all
	work now.  Change for yet again slightly expanded output.

2003-01-24  hvr <hvr@gnu.org>

	* tests/check_common_fn: use text cmp instead of numeric cmp

2003-01-24  rocky <rocky@gnu.org>

	* docs/vcddump.texi, docs/vcdimager.texi, docs/version.texi: Get
	cross indexing correct between vcdimager.texi and vcddump.texi
	vcddump.texi: more minor info added/corrected.

2003-01-24  rocky <rocky@gnu.org>

	* docs/vcddump.texi, docs/version-vcddump.texi: Note that formats
	reported are to be loosely interpreted. Expecially the TRACKS.SVD
	info. Note the existence of CVD's.

2003-01-24  rocky <rocky@gnu.org>

	* tests/svcd1_test1.right: VCD3.0 -> CVD.

2003-01-24  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c: VCD3.0 -> CVD. Sigh.

2003-01-23  nboullis <>

	* debian/changelog, debian/control, debian/docs, debian/rules: 
	Update debian packaging.

2003-01-23  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Fill in more detail about what's what.

2003-01-23  rocky <rocky@gnu.org>

	* docs/Makefile.am: Set vcddump to do the same things as vcdimager.

2003-01-21  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, libvcd/vcdinfo.c, libvcd/vcdinfo.h,
	tests/svcd1_test1.right, tests/svcd1_test2.right,
	tests/vcd11_test1.right: Small pedantic change album description
	(which is probably more accurate) changed to the shorter album id
	(which matches the XML tag).  vcdinfo.{c,h}: missing const in
	vcdinfo *obj.

2003-01-21  rocky <rocky@gnu.org>

	* docs/Makefile.am, docs/vcddump.texi: Stab at documentiong sub
	options for sections. New suboption index causes Makefile.am to
	change.

2003-01-21  hvr <hvr@gnu.org>

	* BUGS, docs/Makefile.am, tests/Makefile.am, tests/check_svcd1.sh,
	tests/check_vcd11.sh, tests/check_vcd20.sh: now checks should really
	work

2003-01-21  rocky <rocky@gnu.org>

	* docs/vcddump.texi: A little more complete. At least all the
	options should be listed now.

2003-01-21  rocky <rocky@gnu.org>

	* frontends/cli/vcddump.c, libvcd/vcdinfo.c,
	tests/svcd1_test1.right, tests/vcd11_test1.right,
	tests/vcd20_test1.right: name now optional in "-i" (vcdinfo.c) case
	of acronyms uniform (vcddump) suboption help (vcddump) Short option
	'C' for --cdrom-device (vcddump)

2003-01-21  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Fix makeinfo problems.

2003-01-20  hvr <hvr@gnu.org>

	* docs/version-vcddump.texi, tests/check_common_fn,
	tests/check_svcd1.sh, tests/check_vcd11.sh, tests/check_vcd20.sh,
	tests/check_vcddump_fn, tests/check_vcdxbuild_fn: are cmp and cksum
	POSIX, while md5sum and diff are GNU :-)

2003-01-20  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Not complete or thorough, but Getting there.

2003-01-20  hvr <hvr@gnu.org>

	* autogen.sh, configure.in => configure.ac: mv configure.{in,ac}

2003-01-20  hvr <hvr@gnu.org>

	* docs/vcddump.texi, docs/version-vcddump.texi: final cut

2003-01-20  rocky <rocky@gnu.org>

	* tests/Makefile.am, tests/check_svcd1.sh, tests/check_vcd11.sh,
	tests/check_vcd20.sh: Make sure new files get into distribution.
	Make distcheck for regression tests should work now.

2003-01-20  rocky <rocky@gnu.org>

	* docs/vcddump.texi: Needs more work. First start though.

2003-01-19  rocky <rocky@gnu.org>

	* tests/check_vcddump_fn: Common subroutine for regression testdump
	testing.

2003-01-19  rocky <rocky@gnu.org>

	* tests/.cvsignore, tests/check_svcd1.sh, tests/check_vcd11.sh,
	tests/check_vcd20.sh, tests/svcd1_test1.right,
	tests/svcd1_test2.right, tests/vcd11_test1.right,
	tests/vcd11_test2.right, tests/vcd20_test1.right,
	tests/vcd20_test2.right: Add vcddump regression tests

2003-01-19  rocky <rocky@gnu.org>

	* docs/.cvsignore, docs/Makefile.am: A start. Much much more work is
	needed. Just to get the ball rolling though...

2003-01-19  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, libvcd/Makefile.am,
	libvcd/{vcd_image_bsdicd.c => vcd_image_cd-bsdi.c},
	libvcd/{vcd_image_bsdicd.h => vcd_image_cd-generic.c},
	libvcd/{vcd_image_linuxcd.c => vcd_image_cd-linux.c},
	libvcd/vcd_image_cd-sunos.c, libvcd/vcd_image_cd.h,
	libvcd/vcd_image_linuxcd.h, tests/testimage.c: changed cdrom driver
	framework

2003-01-19  hvr <hvr@gnu.org>

	* libvcd/vcdinfo.c: use /* */ comments instead of //

2003-01-19  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, docs/version.texi, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_linuxcd.c, libvcd/vcd_image_vpkt.c,
	libvcd/vcd_mmc_linux.c, libvcd/vcd_mmc_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_recorder_mmc.c, tests/check_sizeof.c: 
	various fixes/cleanups

2003-01-19  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: Add #defines constans for max
	informations string values Add routines for getting audio and ogt
	info.

2003-01-19  hvr <hvr@gnu.org>

	* NEWS, docs/vcdimager.texi, vcdimager.spec.in: updated
	documentation to include vcddump

2003-01-19  hvr <hvr@gnu.org>

	* frontends/cli/vcddump.c: renamed vcddebug-references to vcddump

2003-01-19  hvr <hvr@gnu.org>

	* .cvsignore, docs/.cvsignore: [no log message]

2003-01-19  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/.cvsignore,
	frontends/cli/Makefile.am, frontends/cli/vcddump.c,
	libvcd/vcd_image_bsdicd.c: added Bernstein's vcddump tool

2003-01-19  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_assert.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_types.h: added branch prediction annotation macros

2003-01-19  hvr <hvr@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: quiet gcc down

2003-01-18  rocky <rocky@gnu.org>

	* .cvsignore, amiga/.cvsignore: Note more derived files.

2003-01-18  rocky <rocky@gnu.org>

	* frontends/cli/.cvsignore: Don't complain about binaries and
	man-pages. They too are derived.

2003-01-18  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: More routines to get audio
	information and general information found in PVD section (e.g. ID's)

2003-01-18  rocky <rocky@gnu.org>

	* frontends/xml/.cvsignore: Don't complain about derived man pages.

2003-01-18  rocky <rocky@gnu.org>

	* docs/.cvsignore: vcdimager.info* is derived. Don't complain about.

2003-01-16  rocky <rocky@gnu.org>

	* libvcd/vcdinfo.c, libvcd/vcdinfo.h: More info getting routines
	like getting BSN, and wait time.  Change some "size" to "count"
	since it is my custom to be precise.

2003-01-08  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_nrg.c: [no
	log message]

2003-01-08  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_image.c: [no log message]

2003-01-08  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/Makefile.am, libvcd/vcd_image.c,
	libvcd/vcd_image.h, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_linuxcd.c,
	libvcd/vcd_image_nrg.c, libvcd/vcd_image_vpkt.c, libvcd/vcdinfo.c,
	libvcd/vcdinfo.h: getting closer to r.bernsteins xine-vcdnav

2003-01-06  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector.h, libvcd/vcd_cd_sector_private.h,
	libvcd/vcd_image.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_linuxcd.c,
	libvcd/vcd_image_nrg.c, libvcd/vcd_iso9660.c,
	libvcd/vcd_recorder.c, libvcd/vcd_types.h, libvcd/vcd_util.c,
	libvcd/vcd_util.h: trying to sync up to bernsteins xine-vcdnav fork

2003-01-04  hvr <hvr@gnu.org>

	* vcdimager.spec.in: spec file improvements

2003-01-04  hvr <hvr@gnu.org>

	* docs/version.texi, vcdimager.spec.in: spec file improvements

2002-12-29  hvr <hvr@gnu.org>

	* libvcd/vcd_mpeg.c, libvcd/vcd_mpeg_stream.c: s/void static/static
	void/g

2002-12-29  hvr <hvr@gnu.org>

	* libvcd/vcd_cd_sector_private.h, libvcd/vcd_mpeg.c: s/const
	static/static const/g

2002-12-29  hvr <hvr@gnu.org>

	* docs/vcdimager.texi: typo

2002-12-29  hvr <hvr@gnu.org>

	* docs/vcdimager.texi, docs/version.texi, vcdimager.spec.in: added a
	few bits about cd image formats to info manual

2002-12-28  hvr <hvr@gnu.org>

	* ChangeLog, docs/vcdimager.texi, frontends/cli/Makefile.am,
	frontends/cli/cdxa2mpeg.c, frontends/cli/vcdimager.c: improved
	cdxa2mpeg

2002-12-27  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, NEWS, debian/control, debian/dirs,
	debian/docs, debian/rules, debian/substvars,
	frontends/xml/vcd_xml_build.c, vcdimager.spec.in: added --dump-dtd
	option

2002-12-27  hvr <hvr@gnu.org>

	* Makefile.am, amiga/Makefile.am, configure.in, debian/changelog,
	debian/control, debian/copyright, debian/postinst.debhelper,
	debian/prerm.debhelper: updated debian packaging

2002-12-27  hvr <hvr@gnu.org>

	* Makefile.am: updated debian packaging

2002-12-27  hvr <hvr@gnu.org>

	* debian/files: removed

2002-12-27  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcdxml.h,
	tests/Makefile.am, tests/check_svcd1.sh, tests/check_vcd11.sh,
	tests/check_vcd20.sh: improved testsuite

2002-12-27  hvr <hvr@gnu.org>

	* tests/Makefile.am, tests/check_svcd1.sh, tests/check_svcd1.xml,
	tests/check_vcd11.sh, tests/check_vcd11.xml, tests/check_vcd20.sh,
	tests/check_vcd20.xml: added tests for vcd11/vcd2/svcd1 generation

2002-12-25  hvr <hvr@gnu.org>

	* docs/version.texi, libpopt.m4, tests/check_sizeof.c: release
	candidate

2002-12-25  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector_private.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_pbc.c, tests/check_bitfield.c, tests/check_sizeof.c: 
	finishing up

2002-12-25  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_master.c,
	libpopt.m4, libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_iso9660.c,
	libvcd/vcd_iso9660.h, libvcd/vcd_obj.h, tests/Makefile.am: added
	support for check mode

2002-12-25  hvr <hvr@gnu.org>

	* configure.in, debian/changelog, debian/control, debian/rules,
	vcdimager.spec.in: updated rh/deb pkg files

2002-12-25  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in, frontends/Makefile.am,
	frontends/cli/Makefile.am, frontends/xml/Makefile.am, libpopt.m4,
	libvcd/vcd_files_private.h, libvcd/vcd_iso9660_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_pbc.h,
	libvcd/vcd_types.h, libvcd/vcd_xa.h, tests/Makefile.am,
	tests/check_sizeof.c: various fixes

2002-07-25  hvr <hvr@gnu.org>

	* debian/control, docs/version.texi: debian related updates

2002-07-25  hvr <hvr@gnu.org>

	* debian/copyright, debian/watch: debian related updates

2002-07-25  hvr <hvr@gnu.org>

	* debian/watch: debian related updates

2002-07-25  hvr <hvr@gnu.org>

	* autogen.sh, debian/changelog, debian/control, debian/copyright,
	debian/rules: debian related updates

2002-07-23  hvr <hvr@gnu.org>

	* docs/version.texi: [no log message]

2002-07-23  hvr <hvr@gnu.org>

	* debian/rules: [no log message]

2002-07-23  hvr <hvr@gnu.org>

	* debian/changelog: [no log message]

2002-07-23  hvr <hvr@gnu.org>

	* docs/vcdimager.texi, libvcd/vcd_image.h, libvcd/vcd_logging.h,
	libvcd/vcd_types.h: [no log message]

2002-01-04  hvr <hvr@gnu.org>

	* vcdimager.spec.in: [no log message]

2002-01-04  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, FAQ, NEWS, README, TODO, configure.in,
	docs/vcdimager.texi, frontends/cli/vcd_debug.c,
	libvcd/vcd_image_linuxcd.c, libvcd/vcd_mmc_linux.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_util.c: getting ready for 0.7.12

2002-01-04  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, cygwin-dist.sh, libvcd/vcd.c,
	libvcd/vcd_cd_sector.h: SPI subheader + post-gap

2001-12-27  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_stream_stdio.c: [no log message]

2001-12-26  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in, docs/Makefile.am,
	docs/vcdimager.texi, frontends/cli/Makefile.am,
	frontends/cli/cdxa2mpeg.c, frontends/xml/Makefile.am,
	tests/Makefile.am: cleaned up automake system

2001-12-23  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, cygwin-dist.sh,
	docs/vcdimager.texi, libvcd/vcd_stream_stdio.c: added new tool
	cdxa2mpeg; add use of setvbuf to increase io buffers

2001-12-23  hvr <hvr@gnu.org>

	* frontends/cli/Makefile.am, frontends/cli/cdxa2mpeg.c: added
	cdxa2mpeg tool

2001-11-27  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcd_debug.c,
	libvcd/vcd.c, libvcd/vcd_cd_sector_private.h, libvcd/vcd_files.c,
	libvcd/vcd_mpeg.c: improved support for SVCD and CVD-style subtitles

2001-10-21  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, docs/Makefile.am, docs/fdl.texi,
	docs/vcdimager.texi, frontends/xml/vcd_xml_rip.c: 0.7.11

2001-10-21  hvr <hvr@gnu.org>

	* NEWS, docs/glossary.texi, docs/vcdimager.texi: [no log message]

2001-10-20  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/xml/vcd_xml_rip.c,
	libvcd/vcd.c, libvcd/vcd_image_bsdicd.c: [no log message]

2001-10-11  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, libvcd/vcd.c,
	libvcd/vcd_mmc_linux.c: [no log message]

2001-10-02  arnd <>

	* libvcd/vcd_mmc_linux.c: compile fix for non-linux systems (Steven
	M. Schultz)

2001-09-28  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcdxml.h,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_obj.h: see changelog

2001-09-28  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_rip.c, libvcd/vcd_mpeg.c: see
	changelog

2001-09-21  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/Makefile.am: [no log message]

2001-09-20  hvr <hvr@gnu.org>

	* libvcd/vcd_image.h, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_vpkt.c,
	libvcd/vcd_image_vpkt.h, libvcd/vcd_mmc_linux.c,
	libvcd/vcd_mmc_linux.h, libvcd/vcd_mmc_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_recorder.c, libvcd/vcd_recorder.h,
	libvcd/vcd_recorder_mmc.c, libvcd/vcd_recorder_mmc.h: see changelog

2001-09-20  hvr <hvr@gnu.org>

	* libvcd/vcd_data_structures.c, libvcd/vcd_data_structures.h: see
	changelog;

2001-09-20  hvr <hvr@gnu.org>

	* ChangeLog, TODO, frontends/xml/vcd_xml_common.c,
	frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c, libvcd/vcd_mpeg.c: see
	changelog

2001-09-05  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_dtd.c: libxml2 related fix;see ChangeLog

2001-08-31  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_image_bsdicd.c, libvcd/vcd_image_cd.h: fixed
	__bsdi__ stuff

2001-08-30  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_rip.c, libvcd/Makefile.am,
	libvcd/vcd_image_bsdicd.c, libvcd/vcd_image_bsdicd.h,
	libvcd/vcd_image_cd.h, libvcd/vcd_image_linuxcd.c: added __bsdi__
	cdrom support

2001-08-30  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/xml/vcd_xml_rip.c, libvcd/vcd_image.c,
	libvcd/vcd_image.h, libvcd/vcd_image_linuxcd.c: improved linux cdrom
	support

2001-08-29  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcdimager.c, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_mpeg.c: see changelog; final

2001-08-29  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, docs/Makefile.am,
	docs/vcdimager.1, docs/vcdimager.texi, frontends/cli/Makefile.am,
	frontends/cli/vcd_debug.c, frontends/cli/vcdimager.1,
	frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_common.c,
	frontends/xml/vcd_xml_common.h, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_minfo.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/videocd.dtd,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_bitvec.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h, libvcd/vcd_obj.h: see
	changelog;making ready for 0.7.10 final

2001-08-28  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcd_debug.c,
	frontends/cli/vcdimager.c, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_master.h, frontends/xml/vcd_xml_minfo.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c, libvcd/vcd_bitvec.h,
	libvcd/vcd_files.c, libvcd/vcd_image.c, libvcd/vcd_image.h,
	libvcd/vcd_image_bincue.c, libvcd/vcd_image_bincue.h,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_cdrdao.h,
	libvcd/vcd_image_linuxcd.c, libvcd/vcd_image_linuxcd.h,
	libvcd/vcd_image_nrg.c, libvcd/vcd_image_nrg.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h,
	tests/mpegscan.c, tests/mpegscan2.c, tests/testimage.c: see
	changelog; pre5

2001-08-25  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, docs/vcdimager.texi,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcdxml.h, frontends/xml/videocd.dtd, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_files.c, libvcd/vcd_obj.h,
	libvcd/vcd_types.h: see changelog

2001-08-23  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, docs/vcdimager.texi,
	frontends/cli/vcd_debug.c: see changelog

2001-08-23  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_minfo.c, libvcd/vcd_files.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h: see changelog

2001-08-22  hvr <hvr@gnu.org>

	* ChangeLog, docs/vcdimager.texi, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_minfo.c, frontends/xml/vcdxml.h,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h,
	libvcd/vcd_obj.h, libvcd/vcd_pbc.c, tests/mpegscan.c,
	tests/mpegscan2.c: see changelog

2001-08-21  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h: see
	changelog / pre2

2001-08-21  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_files.c, libvcd/vcd_image.h,
	libvcd/vcd_image_bincue.c, libvcd/vcd_image_cdrdao.c,
	libvcd/vcd_logging.c, libvcd/vcd_mpeg.c, libvcd/vcd_obj.h,
	libvcd/vcd_stream.c, libvcd/vcd_stream.h, libvcd/vcd_stream_stdio.c: 
	see changelog

2001-08-20  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, libvcd/vcd.c, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h: see changelog

2001-08-16  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_minfo.c, libvcd/vcd_mpeg.c: see changelog

2001-08-15  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_rip.c, libvcd/vcd_pbc.c: see changelog

2001-08-15  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_rip.c: see changelog

2001-08-12  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_mpeg.c, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c: see changelog

2001-08-07  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_common.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_image_cdrdao.c, libvcd/vcd_image_linuxcd.c,
	libvcd/vcd_image_nrg.c, libvcd/vcd_pbc.c: added missing rcsids

2001-08-07  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcd_debug.c,
	frontends/xml/Makefile.am, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_common.c, frontends/xml/vcd_xml_common.h,
	frontends/xml/vcd_xml_master.c, libvcd/vcd.c, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_logging.c: progress and gui
	mode

2001-08-03  hvr <hvr@gnu.org>

	* amiga/v_snprintf.c: minor fix

2001-08-02  hvr <hvr@gnu.org>

	* NEWS, configure.in, debian/changelog, debian/info,
	docs/vcdimager.texi, libvcd/vcd_bytesex_asm.h: 0.7.8

2001-08-01  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, docs/Makefile.am, docs/vcdimager.texi,
	frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_parse.c,
	libvcd/Makefile.am, libvcd/vcd_bytesex_asm.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_pbc.c: see ChangeLog

2001-08-01  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in, libvcd/vcd_bytesex.h,
	libvcd/vcd_bytesex_asm.h, libvcd/vcd_types.h: see ChangeLog

2001-08-01  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_obj.h, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h: see ChangeLog

2001-07-31  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, libvcd/vcd_files.c: see
	ChangeLog

2001-07-31  hvr <hvr@gnu.org>

	* docs/vcdimager.texi: documentation updates

2001-07-31  hvr <hvr@gnu.org>

	* ChangeLog, FAQ, NEWS, docs/vcdimager.texi,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	libvcd/vcd.c: see ChangeLog

2001-07-31  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_files.c, libvcd/vcd_files.h,
	libvcd/vcd_files_private.h, libvcd/vcd_obj.h, libvcd/vcd_pbc.c: see
	ChangeLog

2001-07-28  hvr <hvr@gnu.org>

	* cygwin-dist.sh: 0.7.8

2001-07-28  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, NEWS, README, TODO, configure.in,
	cygwin-dist.sh, docs/vcdimager.texi: 0.7.8

2001-07-28  hvr <hvr@gnu.org>

	* Makefile.am, NEWS, configure.in, docs/vcdimager.texi,
	libvcd/vcd.c, libvcd/vcd_mpeg_stream.h: [no log message]

2001-07-28  hvr <hvr@gnu.org>

	* ChangeLog, amiga/libiberty.h, amiga/rint.c, amiga/v_snprintf.c,
	amiga/xmalloc.c, frontends/cli/.cvsignore,
	frontends/cli/popt/findme.c, frontends/cli/popt/popt.c,
	frontends/cli/popt/poptconfig.c, frontends/cli/vcd_debug.c,
	frontends/cli/vcdimager.c, frontends/xml/.cvsignore,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_minfo.c,
	libvcd/vcd_cd_sector.h, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_types.h: [no log message]

2001-07-28  hvr <hvr@gnu.org>

	* NEWS, THANKS, configure.in, docs/vcdimager.texi,
	frontends/xml/videocd.dtd: updated documentation

2001-07-27  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, frontends/cli/vcdimager.c,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, libvcd/vcd_pbc.c,
	tests/mpegscan.c, tests/mpegscan2.c: [no log message]

2001-07-27  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_minfo.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	frontends/xml/videocd.dtd: default_entry

2001-07-27  hvr <hvr@gnu.org>

	* configure.in: pre3

2001-07-27  hvr <hvr@gnu.org>

	* NEWS, libvcd/vcd_image_nrg.c: [no log message]

2001-07-27  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c: extended end list

2001-07-27  hvr <hvr@gnu.org>

	* ChangeLog, cygwin-dist.sh, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_minfo.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/videocd.dtd, libvcd/vcd_pbc.c, libvcd/vcd_pbc.h: multi
	default list, end list, misc stuff

2001-07-26  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_minfo.c: added new mpeg tool

2001-07-25  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_master.c,
	frontends/xml/videocd.dtd: fixed typo

2001-07-25  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, libvcd/vcd.c, libvcd/vcd_iso9660.c,
	libvcd/vcd_mpeg_stream.c: misc improvements

2001-07-20  hvr <hvr@gnu.org>

	* NEWS, TODO, docs/vcdimager.texi: reverted autoplay shit

2001-07-20  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_bytesex.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_iso9660.c, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c: reverted autoplay shit

2001-07-01  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	libvcd/vcd_image.h, libvcd/vcd_image_cdrdao.c,
	libvcd/vcd_image_nrg.c: nrg output

2001-06-30  hvr <hvr@gnu.org>

	* ChangeLog, README, configure.in: 0.7.7!

2001-06-30  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, docs/vcdimager.texi,
	frontends/cli/popt/findme.c, frontends/cli/popt/popt.c,
	frontends/cli/popt/poptconfig.c, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, frontends/xml/videocd.dtd, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_files.c, libvcd/vcd_files_private.h,
	libvcd/vcd_obj.h, libvcd/vcd_types.h: making ready for 0.7.7

2001-06-25  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_master.h, libvcd/Makefile.am, libvcd/vcd.c,
	libvcd/vcd_image_bincue.c, libvcd/vcd_image_cdrdao.c,
	libvcd/vcd_image_cdrdao.h, libvcd/vcd_mpeg.c, tests/mpegscan2.c: 
	item file entry bugfix

2001-06-23  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_image_fs.c: be more tolerant about missing
	XA signature

2001-06-22  hvr <hvr@gnu.org>

	* frontends/xml/videocd.dtd: added missing next-volume decl

2001-06-20  hvr <hvr@gnu.org>

	* frontends/xml/videocd.dtd: fixed DTD

2001-06-16  hvr <hvr@gnu.org>

	* Makefile.am: last minute changes

2001-06-16  hvr <hvr@gnu.org>

	* Makefile.am, libvcd/vcd.c, libvcd/vcd_util.c, tests/mpegscan2.c: 
	last minute changes

2001-06-16  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, docs/vcdimager.texi: updating
	documentation

2001-06-16  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, libvcd/vcd.c: working towards 0.7.6

2001-06-15  hvr <hvr@gnu.org>

	* libvcd/vcd_image_fs.c, libvcd/vcd_mpeg_stream.c: cygwin fix

2001-06-15  hvr <hvr@gnu.org>

	* ChangeLog: [no log message]

2001-06-14  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_files.c, libvcd/vcd_files.h,
	libvcd/vcd_files_private.h: fixed boundary checks

2001-06-12  hvr <hvr@gnu.org>

	* vcdimager.spec.in: assume compressed info files

2001-06-12  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, libvcd/vcd.c,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h,
	libvcd/vcd_obj.h, tests/Makefile.am, tests/mpegscan2.c: getting
	0.7.5 ready

2001-06-12  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, libvcd/vcd.c, libvcd/vcd_pbc.c: error
	instead of warnings

2001-06-12  hvr <hvr@gnu.org>

	* docs/Makefile.am, docs/glossary.texi, docs/vcdimager.texi: 
	documentation updates

2001-06-11  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, docs/Makefile.am, docs/glossary.texi,
	docs/vcdimager.texi, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcdxml.h, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_files.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h,
	libvcd/vcd_obj.h, tests/Makefile.am: syncup with cvs

2001-06-07  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, configure.in, docs/vcdimager.texi,
	frontends/cli/vcdimager.c, frontends/xml/vcd_xml_master.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_util.c, libvcd/vcd_util.h: 0.7.4

2001-06-07  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_rip.c: getting closer to 0.7.4

2001-06-07  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_rip.c, libvcd/vcd_bytesex.h: 
	makin progress

2001-06-07  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_bytesex.c, libvcd/vcd_bytesex.h,
	libvcd/vcd_image_nrg.c: fine tuning

2001-06-06  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_dump.c, libvcd/vcd_image_fs.c: ...

2001-06-06  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, libvcd/vcd_bytesex.c,
	libvcd/vcd_bytesex.h, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_directory.c,
	libvcd/vcd_iso9660.c: iso9660 related stuff

2001-06-04  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/Makefile.am, libvcd/vcd_image.h,
	libvcd/vcd_image_fs.c, libvcd/vcd_image_fs.h, libvcd/vcd_xa.h: new
	isofs reader

2001-06-04  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_parse.c, libvcd/vcd_pbc.c: parse
	extended attribs

2001-06-03  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_files_private.h, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h: write extended pbc

2001-06-03  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_files.c, libvcd/vcd_pbc.c: 
	re-enabled extended PBC

2001-06-03  hvr <hvr@gnu.org>

	* libvcd/vcd_files.c, libvcd/vcd_pbc.c: cleanups

2001-06-03  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_directory.c,
	libvcd/vcd_iso9660.c, libvcd/vcd_util.c, libvcd/vcd_util.h,
	libvcd/vcd_xa.h: cleanups

2001-06-03  hvr <hvr@gnu.org>

	* docs/vcdimager.texi: doc updates

2001-06-03  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/xml/vcd_xml_dump.c: fixed typo

2001-06-02  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, configure.in, docs/vcdimager.texi,
	frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_rip.c: 0.7.3

2001-06-01  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_mpeg.c: aps problem

2001-06-01  hvr <hvr@gnu.org>

	* docs/vcdimager.1: forgot this file

2001-06-01  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, libvcd/vcd_image.c,
	libvcd/vcd_image.h: extended PBC dumping

2001-05-31  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	libvcd/vcd_files_private.h, libvcd/vcd_image.h,
	libvcd/vcd_iso9660_private.h: file extraction implemented

2001-05-31  hvr <hvr@gnu.org>

	* ChangeLog, TODO, frontends/cli/vcd_debug.c, libvcd/Makefile.am,
	libvcd/vcd.c, libvcd/vcd_directory.c, libvcd/vcd_iso9660_private.h,
	libvcd/vcd_xa.h: XA

2001-05-31  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c: isofs dumping

2001-05-31  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, docs/Makefile.am: 0.7.2

2001-05-30  hvr <hvr@gnu.org>

	* docs/glossary.texi, docs/gpl.texi, docs/vcdimager.texi: 
	documentation improvements

2001-05-30  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcdxml.h, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, tests/mpegscan.c: 
	EOR/SPI; relaxed aps; xml option handling;"

2001-05-29  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg_stream.c: mpeg
	buffer overun

2001-05-29  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcd_debug.c,
	frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_gen.c, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_files.c, libvcd/vcd_obj.h: broken svcd mode

2001-05-29  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in, libvcd/vcd_types.h: 
	vcd_types.h

2001-05-28  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, frontends/xml/Makefile.am,
	libvcd/vcd_mpeg.c, libvcd/vcd_types.h: changes from KSW

2001-05-28  hvr <hvr@gnu.org>

	* libvcd/vcd_directory.c, libvcd/vcd_files.c, libvcd/vcd_iso9660.c,
	libvcd/vcd_logging.c, libvcd/vcd_stream.c,
	libvcd/vcd_stream_stdio.c, libvcd/vcd_util.c: indentation

2001-05-28  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c,
	libvcd/vcd_image_linuxcd.c, tests/testimage.c: SPI subheader fix for
	VCD2.0

2001-05-27  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, TODO, vcdimager.spec.in: ...

2001-05-27  hvr <hvr@gnu.org>

	* docs/.cvsignore: ...

2001-05-27  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, NEWS, configure.in, cygwin-dist.sh,
	docs/Makefile.am, {frontends/cli => docs}/gpl.texi, {frontends/cli
	=> docs}/vcdimager.texi, frontends/cli/Makefile.am,
	frontends/cli/vcdrip.1, frontends/cli/vcdrip.c,
	frontends/xml/vcd_xml_rip.c, libvcd/Makefile.am,
	libvcd/vcd_bytesex.h, libvcd/vcd_image_nrg.c,
	libvcd/vcd_image_nrg.h, libvcd/vcd_pbc.c, tests/Makefile.am,
	tests/testimage.c, vcdimager.spec.in: making ready for v0.7.1

2001-05-26  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dtd.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c: use own vcd_assert

2001-05-26  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_rip.c,
	libvcd/Makefile.am, libvcd/vcd_image_linuxcd.c,
	libvcd/vcd_image_linuxcd.h: added linux cdrom image source

2001-05-26  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_rip.c: 
	detect rejected lids

2001-05-26  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcd_debug.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c,
	libvcd/vcd_files_private.h, libvcd/vcd_pbc.c: doh

2001-05-25  hvr <hvr@gnu.org>

	* ChangeLog, cygwin-dist.sh, frontends/cli/Makefile.am,
	frontends/cli/vcd_debug.c, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd_files.c, libvcd/vcd_pbc.c,
	libvcd/vcd_pbc.h, libvcd/vcd_util.h: moving on...

2001-05-24  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, cygwin-dist.sh, libvcd/vcd.c,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h,
	libvcd/vcd_obj.h, vcdimager.spec.in: making ready for release

2001-05-23  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_gen.c, libvcd/vcd_files.c,
	libvcd/vcd_iso9660.c, libvcd/vcd_util.c, libvcd/vcd_util.h,
	tests/Makefile.am, tests/testischar.c: charset constraint enforcing

2001-05-23  hvr <hvr@gnu.org>

	* configure.in, libvcd/vcd_util.c, libvcd/vcd_util.h, {debug =>
	tests}/.cvsignore, {debug => tests}/Makefile.am, {debug =>
	tests}/mpegscan.c, {debug => tests}/testassert.c: moved debug to
	tests

2001-05-23  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h,
	libvcd/vcd_types.h: xml stuff

2001-05-23  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_gen.c,
	frontends/xml/vcd_xml_parse.c: xml stuff

2001-05-23  hvr <hvr@gnu.org>

	* debug/testassert.c: assert tester added

2001-05-22  hvr <hvr@gnu.org>

	* ChangeLog, debug/Makefile.am, libvcd/Makefile.am, libvcd/vcd.c,
	libvcd/vcd_assert.h, libvcd/vcd_bitvec.h, libvcd/vcd_bytesex.c,
	libvcd/vcd_cd_sector.c, libvcd/vcd_data_structures.c,
	libvcd/vcd_dict.h, libvcd/vcd_directory.c, libvcd/vcd_files.c,
	libvcd/vcd_image.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_iso9660.c, libvcd/vcd_logging.c, libvcd/vcd_logging.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_pbc.c, libvcd/vcd_salloc.c, libvcd/vcd_stream.c,
	libvcd/vcd_util.c: new assertion macros

2001-05-22  hvr <hvr@gnu.org>

	* HACKING, Makefile.am: added HACKING file

2001-05-22  hvr <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/xml/Makefile.am: 
	remove gnome frontend from core distribution

2001-05-22  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcd_xml_rip.c, libvcd/Makefile.am, libvcd/vcd.c,
	libvcd/vcd_bitvec.h, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_util.h: getting nearer to
	feature completition

2001-05-22  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_build.c, frontends/xml/vcd_xml_dtd.c,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c: added
	missing rcsid's

2001-05-22  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_rip.c, libvcd/vcd.c: lets work on
	ripping sequences...

2001-05-21  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_dump.h,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h: segment ripping

2001-05-21  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_gen.c: modularized vcd_xml_gen"

2001-05-21  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_dump.c,
	frontends/xml/vcd_xml_rip.c, libvcd/vcd.c, libvcd/vcd_pbc.c: syncin'
	with cvs

2001-05-21  hvr <hvr@gnu.org>

	* ChangeLog, debug/mpegscan.c, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_dump.c, frontends/xml/vcd_xml_dump.h,
	frontends/xml/vcd_xml_rip.c, frontends/xml/vcdxml.h, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files_private.h,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_mpeg_stream.h: detect video
	stream type of mpeg stream; xml frontend improvements;

2001-05-19  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, NEWS, TODO, configure.in,
	debug/.cvsignore, debug/Makefile.am, debug/mpegscan.c,
	libvcd/vcd_mpeg_stream.c: new debug/testtool directory added;
	rewrote to use PTS instead of GOP timecodes; updated few textfiles

2001-05-17  hvr <hvr@gnu.org>

	* NEWS, configure.in, frontends/xml/vcd_xml_rip.c,
	frontends/xml/vcdxml.h, libvcd/vcd.c, libvcd/vcd_image_bincue.c,
	libvcd/vcd_mpeg_stream.c, libvcd/vcd_stream.c, libvcd/vcd_util.h: 
	work on xml ripper....

2001-05-17  hvr <hvr@gnu.org>

	* frontends/xml/Makefile.am, frontends/xml/vcd_xml_rip.c: added
	placeholder for xml based restore/disassemble tool

2001-05-17  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_build.c,
	frontends/xml/vcd_xml_gen.c, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_master.h: added command line parsing

2001-05-17  hvr <hvr@gnu.org>

	* frontends/xml/Makefile.am: typo...

2001-05-17  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/xml/Makefile.am,
	frontends/xml/{vcdxml.c => vcd_xml_build.c},
	frontends/xml/vcd_xml_dtd.c, frontends/xml/vcd_xml_dtd.h,
	frontends/xml/vcd_xml_gen.c, frontends/xml/videocd.dtd: added new
	XML frontend, vcdxgen, renamed vcdxml to vcdxbuild

2001-05-16  hvr <hvr@gnu.org>

	* configure.in, frontends/xml/Makefile.am: detect awk binary

2001-05-15  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, Makefile.am, NEWS, README, debian/changelog,
	debian/control, debian/copyright, debian/dirs, debian/docs,
	debian/files, debian/info, debian/postinst.debhelper,
	debian/prerm.debhelper, debian/rules, debian/substvars,
	debian/watch, frontends/cli/vcdimager.1,
	frontends/cli/vcdimager.texi, frontends/cli/vcdrip.1,
	frontends/cli/vcdrip.c, libvcd/vcd_types.h: merged from stable
	branch, up to 0.6.2 final

2001-05-15  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcdxml.c,
	libvcd/Makefile.am, libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_image.h,
	libvcd/vcd_image_bincue.c, libvcd/vcd_image_bincue.h,
	libvcd/vcd_obj.h: new old image bin cue writer

2001-05-14  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.c,
	libvcd/Makefile.am, libvcd/vcd_image.c, libvcd/vcd_image.h: new
	image abstraction

2001-05-14  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcdxml.c, frontends/xml/vcdxml.h,
	frontends/xml/videocd.dtd, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_bytesex.h, libvcd/vcd_files.c, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c, libvcd/vcd_pbc.h, libvcd/vcd_util.h: making
	progress...

2001-05-14  hvr <hvr@gnu.org>

	* frontends/xml/vcd_xml_parse.c, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_pbc.h: sync with cvs

2001-05-13  hvr <hvr@gnu.org>

	* frontends/gnome/macros/Makefile.am,
	frontends/gnome/macros/libxml.m4: removed libxml.m4 again, since it
	comes with the libxml package

2001-05-13  hvr <hvr@gnu.org>

	* NEWS, TODO, frontends/xml/vcd_xml_parse.c: did some work on xml
	parser

2001-05-13  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd.c,
	libvcd/vcd_bytesex.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_pbc.c, libvcd/vcd_pbc.h: done
	work on PBC support

2001-05-12  hvr <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/cli/Makefile.am,
	frontends/gnome/macros/.cvsignore, frontends/gnome/src/Makefile.am,
	frontends/xml/.cvsignore, frontends/xml/Makefile.am,
	libvcd/Makefile.am: further automake improvements...

2001-05-12  hvr <hvr@gnu.org>

	* configure.in, frontends/gnome/macros/Makefile.am,
	frontends/gnome/macros/libxml.m4, frontends/xml/Makefile.am,
	libvcd/Makefile.am: fixed automake system, added libxml m4 script

2001-05-12  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.h,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_files.c, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c, libvcd/vcd_pbc.h: sync PBC stuff with cvs

2001-05-12  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/videocd.dtd, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c, libvcd/vcd_pbc.h: started work on pbc improvements

2001-05-11  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, frontends/xml/videocd.dtd,
	libvcd/vcd.c, libvcd/vcd_dict.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_obj.h: implemented segment
	play items

2001-05-11  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h: finally implemented adding additional
	entry points

2001-05-11  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_parse.c,
	frontends/xml/vcdxml.h, libvcd/Makefile.am, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_dict.h, libvcd/vcd_obj.h,
	libvcd/vcd_pbc.c, libvcd/vcd_pbc.h: enhanced libvcd api, working
	towards PBC stuff...; done major work on xml frontend

2001-05-10  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/vcd_xml_master.c,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcdxml.h,
	frontends/xml/videocd.dtd, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_data_structures.h, libvcd/vcd_files.c: synced with
	0.6.2rc3; improved xml frontend...

2001-05-10  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_master.c, frontends/xml/vcd_xml_master.h,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_parse.h,
	frontends/xml/vcdxml.c, frontends/xml/vcdxml.h: syncing up with cvs

2001-05-09  hvr <hvr@gnu.org>

	* ChangeLog, frontends/xml/Makefile.am,
	frontends/xml/vcd_xml_parse.c, frontends/xml/vcd_xml_parse.h,
	frontends/xml/vcdxml.c, frontends/xml/vcdxml.h,
	frontends/xml/videocd.dtd: done some work on XML 'frontend'

2001-05-08  hvr <hvr@gnu.org>

	* frontends/xml/vcdxml.c, frontends/xml/videocd.dtd: further work
	done... making progress...

2001-05-08  hvr <hvr@gnu.org>

	* frontends/xml/videocd.dtd: DTD update...

2001-05-07  hvr <hvr@gnu.org>

	* .cvsignore, BUGS, ChangeLog, FAQ, Makefile.am, NEWS,
	cygwin-dist.sh, frontends/cli/vcdimager.c,
	frontends/cli/vcdimager.texi, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_files.c, libvcd/vcd_iso9660.c, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_obj.h, libvcd/vcd_stream_stdio.c, libvcd/vcd_util.c,
	libvcd/vcd_util.h: merged changes upto 0.6.2rc2

2001-05-05  hvr <hvr@gnu.org>

	* ChangeLog, FAQ, Makefile.am, NEWS, TODO,
	frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/Makefile.am, libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_files.c,
	libvcd/vcd_files.h, libvcd/vcd_files_private.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h, libvcd/vcd_mpeg_stream.c,
	libvcd/vcd_mpeg_stream.h, libvcd/vcd_obj.h, vcdimager.spec.in: merge
	upto 0.6.2 release candidate 1

2001-05-05  hvr <hvr@gnu.org>

	* BUGS, ChangeLog, Makefile.am, NEWS, README, THANKS, TODO,
	configure.in, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd_directory.c, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h: merged changes between rel_0_6_0 and
	rel_0_6_1 to HEAD

2001-05-05  hvr <hvr@gnu.org>

	* frontends/xml/vcdxml.c, frontends/xml/videocd.dtd: backup to
	cvs...

2001-04-16  hvr <hvr@gnu.org>

	* configure.in, frontends/Makefile.am, frontends/xml/Makefile.am,
	frontends/xml/vcdxml.c, frontends/xml/videocd.dtd: started xml
	frontend

2001-04-15  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, TODO, configure.in, frontends/cli/vcdrip.c,
	libvcd/vcd.c: finished 0.6.0 release

2001-04-15  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd.c: --rip-spi added;
	little boundary fix;

2001-03-18  hvr <hvr@gnu.org>

	* ChangeLog, NEWS: wrote NEWS entry for beta4

2001-03-18  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcdimager.c: --add-dir
	option added

2001-03-17  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_directory.c, libvcd/vcd_iso9660.c: fixed
	pathtable generation

2001-03-17  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c: implemented --sector-2336,
	--verbose and --quiet options

2001-03-17  hvr <hvr@gnu.org>

	* configure.in, frontends/cli/Makefile.am, frontends/cli/gpl.texi,
	frontends/cli/vcdimager.texi, vcdimager.spec.in: documentation
	improvements; add .ps.gz manual to rpm;

2001-03-16  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_files.c: * libvcd/vcd_files.c (set_tracks_svd): clip play time value to
	99minutes...

2001-03-16  hvr <hvr@gnu.org>

	* frontends/cli/gpl.texi, frontends/cli/vcdimager.texi: revamped
	texinfo documentation...

2001-03-15  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.texi, libvcd/vcd.c,
	libvcd/vcd_cd_sector.h: * libvcd/vcd.c (vcd_obj_add_file):         check that raw file is not zero sized         (_finalize_vcd_iso_track): fix zero custom file         size handling * libvcd/vcd_cd_sector.h (CD_MAX_SECTORS): reduced max         sector count take into account that a image         starts on 00:02:00 * libvcd/vcd.c (vcd_obj_add_file): added fix from                 Phoury Lei to reduce fd leaking

2001-03-11  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, configure.in,
	frontends/cli/popt/.cvsignore, frontends/cli/popt/Makefile.am,
	frontends/cli/popt/findme.c, frontends/cli/popt/findme.h,
	frontends/cli/popt/popt.c, frontends/cli/popt/popt.h,
	frontends/cli/popt/poptconfig.c, frontends/cli/popt/popthelp.c,
	frontends/cli/popt/poptint.h, frontends/cli/popt/poptparse.c,
	frontends/cli/vcdrip.1, libvcd/vcd_mpeg.c: added popt; handle assert
	better; added forgotten man page; update files for beta3

2001-03-10  hvr <hvr@gnu.org>

	* .cvsignore, ChangeLog, configure.in, frontends/cli/Makefile.am,
	frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	frontends/gnome/macros/curses.m4,
	frontends/gnome/macros/gnome-cxx-check.m4,
	frontends/gnome/macros/gnome-gettext.m4,
	frontends/gnome/macros/gnome-libgtop-check.m4,
	frontends/gnome/macros/gnome-pilot.m4,
	frontends/gnome/macros/gnome-print-check.m4,
	frontends/gnome/macros/gnome-vfs.m4,
	frontends/gnome/macros/gnome-x-checks.m4,
	frontends/gnome/macros/linger.m4,
	frontends/gnome/macros/need-declaration.m4,
	frontends/gnome/src/GVCDImagerApp.cc, frontends/gnome/src/main.cc,
	libvcd/vcd.c, libvcd/vcd_bytesex.c, libvcd/vcd_cd_sector.c,
	libvcd/vcd_data_structures.c, libvcd/vcd_directory.c,
	libvcd/vcd_files.c, libvcd/vcd_iso9660.c, libvcd/vcd_logging.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_salloc.c, libvcd/vcd_stream.c,
	libvcd/vcd_stream_stdio.c, libvcd/vcd_util.c: switched to
	HAVE_CONFIG_H system embedded popt as fallback if the system lacks
	it extended version information by architecture

2001-03-09  hvr <hvr@gnu.org>

	* web/vcdimager.html: removed web directory

2001-03-09  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in,
	libvcd/vcd_cd_sector_private.h, libvcd/vcd_files_private.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660_private.h,
	libvcd/vcd_types.h: improved portability considerably

2001-01-21  hvr <hvr@gnu.org>

	* frontends/cli/Makefile.am: see changelog

2001-01-21  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, TODO, configure.in, frontends/cli/vcdimager.1,
	libvcd/vcd_mpeg.c: see changelog

2001-01-20  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcdimager.texi,
	frontends/cli/vcdrip.c, libvcd/vcd.c: see changelog

2001-01-20  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.1, frontends/cli/vcdimager.c,
	frontends/cli/vcdrip.c, vcdimager.spec.in: see changelog

2001-01-20  hvr <hvr@gnu.org>

	* ChangeLog, TODO, frontends/cli/vcdrip.c, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_files_private.h,
	libvcd/vcd_obj.h, libvcd/vcd_salloc.c, web/vcdimager.html: see
	changelog

2001-01-16  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd_cd_sector.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h: see changelog

2001-01-13  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcdimager.texi,
	vcdimager.spec.in: see changelog

2001-01-13  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_obj.h, libvcd/vcd_stream.c,
	libvcd/vcd_stream_stdio.c: see changelog

2001-01-12  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd_files_private.h: see
	changelog

2001-01-11  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files_private.h,
	libvcd/vcd_stream.c, libvcd/vcd_stream_stdio.c: see changelog

2001-01-06  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/vcd_files_private.h: see changelog

2001-01-06  hvr <hvr@gnu.org>

	* frontends/cli/vcdrip.c: last minute typo

2001-01-06  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd_bytesex.c, libvcd/vcd_bytesex.h,
	libvcd/vcd_iso9660.h: see changelog

2001-01-06  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcdimager.c,
	frontends/cli/vcdrip.c, libvcd/vcd.c, libvcd/vcd_cd_sector.h,
	libvcd/vcd_directory.c, libvcd/vcd_files_private.h,
	libvcd/vcd_iso9660.c: see changelog

2001-01-05  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcdimager.texi, libvcd/vcd.c,
	libvcd/vcd_data_structures.c, libvcd/vcd_data_structures.h,
	libvcd/vcd_directory.c, libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h,
	libvcd/vcd_util.c, libvcd/vcd_util.h: see changelog

2001-01-05  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_directory.c,
	libvcd/vcd_directory.h, libvcd/vcd_util.c, libvcd/vcd_util.h: see
	changelog

2001-01-04  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, frontends/cli/vcdrip.c, libvcd/Makefile.am,
	libvcd/vcd.c, libvcd/vcd_cd_sector.c, libvcd/vcd_cd_sector.h,
	libvcd/vcd_directory.c, libvcd/vcd_transfer.c,
	libvcd/vcd_transfer.h, libvcd/vcd_util.c, libvcd/vcd_util.h,
	vcdimager.spec.in: see changelog

2001-01-03  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, TODO, configure.in: see changelog

2001-01-03  hvr <hvr@gnu.org>

	* frontends/cli/vcdimager.c, frontends/cli/vcdrip.c, libvcd/vcd.c,
	libvcd/vcd_cd_sector.h: see changelog

2001-01-03  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcdrip.c: see
	changelog

2001-01-03  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_types.h: see changelog

2001-01-01  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/vcdimager.c, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h, libvcd/vcd_obj.h, libvcd/vcd_util.c,
	libvcd/vcd_util.h: see changelog

2000-12-25  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_bytesex.c,
	libvcd/vcd_cd_sector.c, libvcd/vcd_data_structures.c,
	libvcd/vcd_directory.c, libvcd/vcd_files.c, libvcd/vcd_iso9660.c,
	libvcd/vcd_logging.c, libvcd/vcd_mpeg.c, libvcd/vcd_salloc.c,
	libvcd/vcd_stream.c, libvcd/vcd_stream_stdio.c,
	libvcd/vcd_transfer.c, libvcd/vcd_util.c: see changelog

2000-12-23  hvr <hvr@gnu.org>

	* frontends/cli/vcdimager.1: see changelog

2000-12-23  hvr <hvr@gnu.org>

	* ChangeLog, THANKS, libvcd/vcd.c, libvcd/vcd_mpeg.c: see
	changelog... getting closer

2000-12-23  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, README, THANKS, configure.in,
	frontends/cli/vcdimager.c, frontends/cli/vcdimager.texi,
	frontends/cli/vcdrip.c, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_iso9660.c, libvcd/vcd_iso9660.h, libvcd/vcd_obj.h,
	vcdimager.spec.in: see changelog

2000-12-23  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c: see changelog

2000-12-23  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd_files.c, libvcd/vcd_files_private.h: see
	changelog

2000-12-19  hvr <hvr@gnu.org>

	* libvcd/vcd_directory.c, libvcd/vcd_directory.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h: see changelog

2000-12-19  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_directory.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_obj.h, libvcd/vcd_salloc.c, libvcd/vcd_types.h: see
	changelog

2000-12-18  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_directory.c,
	libvcd/vcd_files.c, libvcd/vcd_obj.h, libvcd/vcd_salloc.c,
	libvcd/vcd_stream.c, libvcd/vcd_stream_stdio.c, libvcd/vcd_util.c,
	libvcd/vcd_util.h: see changelog

2000-12-18  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h, libvcd/vcd_files.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_obj.h: see changelog

2000-12-18  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/Makefile.am, libvcd/vcd_data_structures.c,
	libvcd/vcd_data_structures.h: see changelog

2000-12-17  hvr <hvr@gnu.org>

	* frontends/cli/vcdrip.c: see changelog

2000-12-17  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_files.c, libvcd/vcd_files.h,
	libvcd/vcd_obj.h: see changelog

2000-12-17  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, libvcd/vcd.c,
	libvcd/vcd_obj.h, libvcd/vcd_salloc.c, libvcd/vcd_salloc.h: see
	changelog

2000-12-17  hvr <hvr@gnu.org>

	* ChangeLog, configure.in, frontends/cli/Makefile.am,
	frontends/gnome/src/GVCDImager.glade,
	frontends/gnome/src/GVCDImager.hh,
	frontends/gnome/src/GVCDImagerApp.cc,
	frontends/gnome/src/GVCDImagerApp.hh,
	frontends/gnome/src/LibvcdWrapper.hh,
	frontends/gnome/src/Makefile.am, frontends/gnome/src/main.cc,
	libvcd/Makefile.am, libvcd/vcd.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h, libvcd/vcd_stream.h: see changelog

2000-11-25  hvr <hvr@gnu.org>

	* ChangeLog: type

2000-11-25  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_files.c,
	libvcd/vcd_files_private.h, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_obj.h, libvcd/vcd_stream.c: see changelog... work in
	progress

2000-11-23  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	libvcd/vcd_obj.h: see changelog

2000-11-22  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_mpeg.c: see changelog

2000-11-21  hvr <hvr@gnu.org>

	* ChangeLog, NEWS, configure.in, frontends/cli/vcdimager.c,
	libvcd/vcd.c, libvcd/vcd_directory.c, libvcd/vcd_iso9660.c,
	libvcd/vcd_iso9660.h, libvcd/vcd_mpeg.c, libvcd/vcd_obj.h: see
	changelog

2000-11-19  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/Makefile.am, frontends/cli/vcdimager.c,
	frontends/cli/vcdrip.c, libvcd/vcd_bytesex.h, web/vcdimager.html: 
	2000-11-19  Herbert Valerio Riedel  <hvr@gnu.org>         * frontends/cli/vcdrip.c: removed glib dependancy         * libvcd/vcd_bytesex.h: added _FROM_ macros         * frontends/cli/vcdimager.c: removed glib dependancy

2000-11-19  hvr <hvr@gnu.org>

	* web/vcdimager.html: added notice to webpage about release status

2000-11-19  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, libvcd/vcd.c,
	libvcd/vcd_files.c, libvcd/vcd_files_private.h: see changelog (svcd
	support almost working)

2000-11-18  hvr <hvr@gnu.org>

	* web/index.html: removed symlink again...

2000-11-18  hvr <hvr@gnu.org>

	* web/index.html: added index.html symlink

2000-11-17  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h: 
	fixed up last commit

2000-11-17  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h: 
	2000-11-16  Mike Bernson  <mike@mlb.org>         * libvcd/vcd_mpeg.h: new resolutions         * libvcd/vcd_mpeg.c: added detection for SHVS resoulutions         * libvcd/vcd.c (_write_sectors): added  case
	        MPEG_SVHS_PAL/NTSC

2000-11-16  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd_files.c:         * libvcd/vcd_files.c (set_psd_vcd): fixed (missing) setting
	                of itemid (and a potential buffer overun bug)         (set_info_vcd): last_psd_ofs set to end of list descriptor

2000-11-14  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, frontends/cli/vcdrip.c,
	libvcd/vcd.c, libvcd/vcd.h, libvcd/vcd_bytesex.c,
	libvcd/vcd_bytesex.h, libvcd/vcd_cd_sector.c,
	libvcd/vcd_cd_sector_private.h, libvcd/vcd_directory.c,
	libvcd/vcd_files.c, libvcd/vcd_files.h, libvcd/vcd_files_private.h,
	libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h, libvcd/vcd_obj.h,
	libvcd/vcd_transfer.c, libvcd/vcd_transfer.h, libvcd/vcd_types.h: 
	see changelog... C:-)

2000-11-13  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_salloc.c,
	libvcd/vcd_salloc.h, libvcd/vcd_transfer.c:         * libvcd/vcd_salloc.h: prefixed exported symbols _vcd + indentation

2000-11-13  hvr <hvr@gnu.org>

	* libvcd/vcd.h, libvcd/vcd_files_private.h: indentation

2000-11-13  hvr <hvr@gnu.org>

	* frontends/cli/vcdimager.c, frontends/cli/vcdrip.c: fixed
	indentation

2000-11-12  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdrip.c, libvcd/vcd.c, libvcd/vcd.h,
	libvcd/vcd_directory.c, libvcd/vcd_directory.h, libvcd/vcd_files.c,
	libvcd/vcd_mpeg.c, libvcd/vcd_obj.h, libvcd/vcd_transfer.c,
	libvcd/vcd_transfer.h:         * libvcd/vcd_obj.h: added VcdDirectory *dir to _VcdObj         * libvcd/vcd_directory.c: introduced directory object,
	                prefixed exported symbols with 'vcd_'         * libvcd/vcd.c (_finalize_vcd_iso_track): added preliminary
	        svcd support         * libvcd/vcd.h: added vcd_obj_add_file() prototype         * libvcd/vcd_mpeg.c: made tables static

2000-11-10  hvr <hvr@gnu.org>

	* ChangeLog, frontends/cli/vcdimager.c, libvcd/vcd.c:         * frontends/cli/vcdimager.c: removed cdi support         * libvcd/vcd.c: reformating, removed removed
	        vcd_obj_set_cdi_input(), (_callback_wrapper): adapted to new progress_callback_t prototype

2000-11-10  hvr <hvr@gnu.org>

	* frontends/gnome/src/GVCDImager.glade,
	frontends/gnome/src/GVCDImagerApp.cc, libvcd/vcd.h:         * libvcd/vcd.h: added comments, removed
	                vcd_obj_set_cdi_input(), changed progress_callback_t
	                signature, added progress_info_t struct

2000-11-09  hvr <hvr@gnu.org>

	* ChangeLog, Makefile.am, configure.in, libvcd/vcd.c,
	libvcd/vcd_files.c:         * libvcd/vcd.c (_write_sectors): s/vcd_warning/vcd_warn/         * libvcd/vcd_files.c (set_info_vcd): removed obsolete
	        comment

2000-11-09  hvr <hvr@gnu.org>

	* frontends/gnome/macros/ChangeLog,
	frontends/gnome/macros/Makefile.am,
	frontends/gnome/macros/autogen.sh,
	frontends/gnome/macros/gnome-bonobo-check.m4,
	frontends/gnome/macros/gnome-pilot.m4,
	frontends/gnome/macros/gnome-xml-check.m4: synced with
	cvs.gnome.org's &macros

2000-11-08  hvr <hvr@gnu.org>

	* frontends/.cvsignore, frontends/Makefile.am,
	frontends/cli/.cvsignore, frontends/cli/Makefile.am,
	frontends/cli/vcdimager.1, frontends/cli/vcdimager.c,
	frontends/cli/vcdimager.texi, frontends/cli/vcdrip.c,
	frontends/gnome/.cvsignore, frontends/gnome/ChangeLog,
	frontends/gnome/Makefile.am, frontends/gnome/macros/ChangeLog,
	frontends/gnome/macros/Makefile.am,
	frontends/gnome/macros/aclocal-include.m4,
	frontends/gnome/macros/autogen.sh,
	frontends/gnome/macros/compiler-flags.m4,
	frontends/gnome/macros/curses.m4,
	frontends/gnome/macros/gnome-bonobo-check.m4,
	frontends/gnome/macros/gnome-common.m4,
	frontends/gnome/macros/gnome-cxx-check.m4,
	frontends/gnome/macros/gnome-fileutils.m4,
	frontends/gnome/macros/gnome-gettext.m4,
	frontends/gnome/macros/gnome-ghttp-check.m4,
	frontends/gnome/macros/gnome-gnomemm-check.m4,
	frontends/gnome/macros/gnome-gnorba-check.m4,
	frontends/gnome/macros/gnome-guile-checks.m4,
	frontends/gnome/macros/gnome-libgtop-check.m4,
	frontends/gnome/macros/gnome-objc-checks.m4,
	frontends/gnome/macros/gnome-orbit-check.m4,
	frontends/gnome/macros/gnome-pilot.m4,
	frontends/gnome/macros/gnome-print-check.m4,
	frontends/gnome/macros/gnome-pthread-check.m4,
	frontends/gnome/macros/gnome-support.m4,
	frontends/gnome/macros/gnome-undelfs.m4,
	frontends/gnome/macros/gnome-vfs.m4,
	frontends/gnome/macros/gnome-x-checks.m4,
	frontends/gnome/macros/gnome-xml-check.m4,
	frontends/gnome/macros/gnome.m4,
	frontends/gnome/macros/gperf-check.m4,
	frontends/gnome/macros/linger.m4,
	frontends/gnome/macros/need-declaration.m4,
	frontends/gnome/src/.cvsignore,
	frontends/gnome/src/GVCDImager.glade,
	frontends/gnome/src/GVCDImager.hh,
	frontends/gnome/src/GVCDImagerApp.cc,
	frontends/gnome/src/GVCDImagerApp.hh,
	frontends/gnome/src/GladeHelper.hh,
	frontends/gnome/src/Makefile.am, frontends/gnome/src/main.cc: 
	imported /frontends tree

2000-11-08  hvr <hvr@gnu.org>

	* ChangeLog, libvcd/vcd.c, libvcd/vcd_mpeg.c, libvcd/vcd_mpeg.h,
	web/vcdimager.html: 2000-11-08  Herbert Valerio Riedel
	<hvr@gnu.org>         * applied fix for program end markers in mpeg streams from                 Andrew Stevens <Andrew.Stevens@comlab.ox.ac.uk>         * libvcd/vcd_mpeg.h: added new mpeg_type MPEG_END         * libvcd/vcd_mpeg.c (mpeg_type): detection for -"-         * libvcd/vcd.c (_write_sectors): added warning output for
	        -"-

2000-11-08  hvr <hvr@gnu.org>

	* web/vcdimager.html: added webpage for gnu.org to cvs

2000-11-08  hvr <hvr@gnu.org>

	* libvcd/.cvsignore, libvcd/Makefile.am, libvcd/vcd.c,
	libvcd/vcd.h, libvcd/vcd_bytesex.c, libvcd/vcd_bytesex.h,
	libvcd/vcd_cd_sector.c, libvcd/vcd_cd_sector.h,
	libvcd/vcd_cd_sector_private.h, libvcd/vcd_directory.c,
	libvcd/vcd_directory.h, libvcd/vcd_files.c, libvcd/vcd_files.h,
	libvcd/vcd_files_private.h, libvcd/vcd_iso9660.c,
	libvcd/vcd_iso9660.h, libvcd/vcd_iso9660_private.h,
	libvcd/vcd_logging.c, libvcd/vcd_logging.h, libvcd/vcd_mpeg.c,
	libvcd/vcd_mpeg.h, libvcd/vcd_obj.h, libvcd/vcd_salloc.c,
	libvcd/vcd_salloc.h, libvcd/vcd_stream.c, libvcd/vcd_stream.h,
	libvcd/vcd_stream_stdio.c, libvcd/vcd_stream_stdio.h,
	libvcd/vcd_transfer.c, libvcd/vcd_transfer.h, libvcd/vcd_types.h,
	libvcd/vcd_util.c, libvcd/vcd_util.h: /libvcd import into cvs

2000-11-07  hvr <hvr@gnu.org>

	* .cvsignore, AUTHORS, COPYING, ChangeLog, ChangeLog_pre0_5,
	Makefile.am, NEWS, README, THANKS, TODO, autogen.sh, configure.in,
	vcdimager.spec.in: importing top level directory

2000-11-07  hvr <hvr@gnu.org>

	* just a test

